import Utils from "~/utils"

/**
* Bctset Check规则
*/
let checkObj = {
    "bctp.prechkdat" :null,
    "bcdgrp.blk.dftins"                      :null,
    "bcdgrp.rmi.pts.nam"                      :null,
    "setmod.setglg.sespay.setgrp.rcvcor.namelc"                      :null,
    "cnybop.outflg"                      :null,
    "bcdgrp.dre.adrelc"                      :null,
    "bcdgrp.blk.othins"                      :null,
    "cfatrt.cfaflg"                      :null,
    "setmod.setglg.sespay.setgrp.tri.pts.extkey"                      :null,
    "setmod.setglg.sespay.setgrp.bei.pts.extkey"                      :null,
    "bcdgrp.rmi.namelc"                      :null,
    "bcdgrp.co2.pts.extkey"                      :null,
    "setmod.setglg.sespay.setgrp.rcvcor2.pts.adrblk"                      :null,
    "bcdgrp.dre.pts.nam"                      :null,
    "cfatrt.ownextkey"                      :null,
    "setmod.setglg.sespay.coract"                      :null,
    "setmod.setglg.sespay.awip.ptspta.pts.extkey"                      :null,
    "setmod.setglg.sespay.setgrp.snd756.adrelc"                      :null,
    "cfatrt.cda.useofunds"                      :null,
    "cnybop.cnyflg"                      :null,
    "bcdgrp.drr.adrelc"                      :null,
    "bcdgrp.blk.colins"                      :null,
    "setmod.setglg.sespay.setgrp.bei.adrelc"                      :null,
    "cfatrt.cda.cfeogudamount"                      :null,
    "setmod.setglg.sespay.setgrp.ori.adrelc"                      :null,
    "setmod.setglg.sespay.setgrp.tri.adrelc"                      :null,
    "bcdgrp.blk.chgtxt"                      :null,
    "bcdgrp.drr.pts.extkey"                      :null,
    "cfadft.ownextkey"                      :null,
    "bcdgrp.co2.adrelc"                      :null,
    "bcdgrp.dre.pts.adrblk"                      :null,
    "setmod.setglg.sespay.setgrp.snd756.pts.adrblk"                      :null,
    "setmod.setglg.sespay.setgrp.ori.pts.adrblk"                      :null,
    "bcdgrp.rmi.pts.ref"                      :null,
    "bcdgrp.rmi.pts.adrblk"                      :null,
    "setmod.setglg.sespay.setgrp.bei.pts.adrblk"                      :null,
    "bcdgrp.dre.namelc"                      :null,
    "bcdgrp.rmi.adrelc"                      :null,
    "setmod.setglg.sespay.setgrp.rcvcor.pts.extkey"                      :null,
    "bopmod.szflg"                      :null,
    "bcdgrp.co2.namelc"                      :null,
    "cfadft.cfaflg"                      :null,
    "setmod.setglg.sespay.setgrp.tri.pts.adrblk"                      :null,
    "cnybop.traflg"                      :null,
    "setmod.setglg.sespay.strinf202"                      :null,
    "setmod.setglg.sespay.setgrp.bei.namelc"                      :null,
    "setmod.setglg.sespay.setgrp.rcvcor2.adrelc"                      :null,
    "setmod.setglg.sespay.setgrp.rcvcor.adrelc"                      :null,
    "setmod.setglg.sespay.setgrp.snd756.namelc"                      :null,
    "setmod.setglg.sespay.actserp.ptspta.pts.extkey"                      :null,
    "bcdgrp.drr.namelc"                      :null,
    "liaall.tenstm"                      :null,
    "setmod.redamt"                      :null,
    "bcdgrp.co2.pts.adrblk"                      :null,
    "setmod.setglg.sespay.setgrp.ori.namelc"                      :null,
    "bcdgrp.rec.focflg"                      :null,
    "bcdgrp.drr.pts.nam"                      :null,
    "bcdgrp.rmi.pts.extkey"                      :null,
    "bcdgrp.drr.pts.adrblk"                      :null,
    "setmod.setglg.sespay.setgrp.tri.namelc"                      :null,
    "bopmod.basflg"                      :null,
    "setmod.setglg.sespay.setgrp.rcvcor2.pts.extkey"                      :null,
    "setmod.setglg.sespay.setgrp.rcvcor2.namelc"                      :null,
    "setmod.setglg.sespay.setgrp.rcvcor.pts.adrblk"                      :null,
    "setmod.setglg.sespay.beiacc"                      :null,
    "cnybop.libflg"                      :null,
    "setmod.setglg.sespay.strinf"                      :null,
    "bopmod.ownextkey"                      :null,
    "setmod.setglg.sespay.rcvcoracc"                      :null,
    "cfatrt.cda.cfeogudcurr"                      :null,
    "setmod.docamt"                      :null,
    "bcdgrp.dre.pts.extkey"                      :null,
    "bopmod.acttyp"                      :null,
    "setmod.setglg.sespay.triacc"                      :null,
    "setmod.setglg.sespay.setgrp.ori.pts.extkey"                      :null,
    "setmod.setglg.sespay.setgrp.snd756.pts.extkey"                      :null,
    "mtabut.clsflg"                      :null,
    "cnybop.vouflg"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

