
/**
* Bctset Default规则
*/
import Api from "~/service/Api";
import Utils from "~/utils/index"

export default {
    "bctp.prechkdat" :Utils.defaultFunction   ,
    "bcdgrp.co2.pts.extkey"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.tri.pts.extkey"                      :Utils.defaultFunction,
    "setmod.doccur"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.rcvcor.pts.extkey"                      :Utils.defaultFunction,
    "cnybop.libflg"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.corbnk"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.evebnk"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.coract"                      :Utils.defaultFunction,
    "trtcre.crefinflg"                      :Utils.defaultFunction,
    "bcdgrp.rmi.pts.extkey"                      :Utils.defaultFunction,
    "bcdgrp.rmi.adrelc"                      :Utils.defaultFunction,
    "bcdgrp.rmi.namelc"                      :Utils.defaultFunction,
    "bcdgrp.rmi.dbfadrblkcn"                      :Utils.defaultFunction,
    "setmod.docamt"                      :Utils.defaultFunction,
    "bcdgrp.rec.predat"                      :Utils.defaultFunction,
    "bcdgrp.rec.doctypcod"                      :Utils.defaultFunction,
    "bcdgrp.rec.focflg"                      :Utils.defaultFunction,
    "cfatrt.cdaflg"                      :Utils.defaultFunction,
    "bcdgrp.rmi.pts.adrblk"                      :Utils.defaultFunction,
    "bcdgrp.dre.pts.extkey"                      :Utils.defaultFunction,
    "bcdgrp.dre.adrelc"                      :Utils.defaultFunction,
    "bcdgrp.dre.namelc"                      :Utils.defaultFunction,
    "bcdgrp.dre.dbfadrblkcn"                      :Utils.defaultFunction,
    "bcdgrp.dre.pts.adrblk"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.snd756.pts.extkey"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.snd756.adrelc"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.snd756.namelc"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.snd756.dbfadrblkcn"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.snd756.pts.adrblk"                      :Utils.defaultFunction,
    "bopmod.szflg"                      :Utils.defaultFunction,
    "bopmod.basflg"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.ori.pts.extkey"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.ori.adrelc"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.ori.namelc"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.ori.dbfadrblkcn"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.ori.pts.adrblk"                      :Utils.defaultFunction,
    "bcdgrp.co2.adrelc"                      :Utils.defaultFunction,
    "bcdgrp.co2.namelc"                      :Utils.defaultFunction,
    "bcdgrp.co2.dbfadrblkcn"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.bei.pts.extkey"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.bei.adrelc"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.bei.namelc"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.bei.dbfadrblkcn"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.bei.pts.adrblk"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.tri.adrelc"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.tri.namelc"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.tri.dbfadrblkcn"                      :Utils.defaultFunction,
    "bcdgrp.rmi.pts.nam"                      :Utils.defaultFunction,
    "bcdgrp.rec.ownref"                      :Utils.defaultFunction,
    "bopmod.vrfflg"                      :Utils.defaultFunction,
    "bopmod.dclflg"                      :Utils.defaultFunction,
    "bcdgrp.drr.pts.adrblk"                      :Utils.defaultFunction,
    "bcdgrp.drr.pts.extkey"                      :Utils.defaultFunction,
    "bcdgrp.drr.adrelc"                      :Utils.defaultFunction,
    "bcdgrp.drr.namelc"                      :Utils.defaultFunction,
    "bcdgrp.drr.dbfadrblkcn"                      :Utils.defaultFunction,
    "cnybop.vouflg"                      :Utils.defaultFunction,
    "bcdgrp.co2.pts.adrblk"                      :Utils.defaultFunction,
    "setmod.redamt"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.rcvcor2.pts.extkey"                      :Utils.defaultFunction,
    "cnybop.traflg"                      :Utils.defaultFunction,
    "cnybop.cnyflg"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.comsystbl"                      :Utils.defaultFunction,
    "cfatrt.basflg"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.rcvcor2.adrelc"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.rcvcor2.namelc"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.rcvcor2.dbfadrblkcn"                      :Utils.defaultFunction,
    "cfatrt.cfaflg"                      :Utils.defaultFunction,
    "cfadft.basflg"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.rcvcor.adrelc"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.rcvcor.namelc"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.rcvcor.dbfadrblkcn"                      :Utils.defaultFunction,
    "cfadft.cfaflg"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.tri.pts.adrblk"                      :Utils.defaultFunction,
    "bcdgrp.cbs.max.amt"                      :Utils.defaultFunction,
    "bcdgrp.dre.pts.nam"                      :Utils.defaultFunction,
    "bcdgrp.cbs.max.cur"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.rcvcor.pts.adrblk"                      :Utils.defaultFunction,
    "bcdgrp.cbs.opn1.amt"                      :Utils.defaultFunction,
    "mtabut.clsflg"                      :Utils.defaultFunction,
    "cnybop.outflg"                      :Utils.defaultFunction,
    "setmod.setglg.sespay.setgrp.rcvcor2.pts.adrblk"                      :Utils.defaultFunction,
    "bcdgrp.drr.pts.nam"                      :Utils.defaultFunction,
}
//你可以添加自动default处理
