import Utils from "~/utils"

/**
* Betdcr Check规则
*/
let checkObj = {
    "liaall.misamt"                      :null,
    "liaall.limmod.limpts.oth.pts.extkey"                      :null,
    "liaall.limmod.ownref"                      :null,
    "bedgrp.apl.pts.nam"                      :null,
    "bedgrp.oth.namelc"                      :null,
    "liaall.limmod.ecifno"                      :null,
    "bedgrp.prb.pts.nam"                      :null,
    "bedgrp.oth.adrelc"                      :null,
    "bedgrp.prb.namelc"                      :null,
    "liaall.limmod.limpts.oth.pts.nam"                      :null,
    "bedgrp.blk.docdis"                      :null,
    "bedgrp.prb.adrelc"                      :null,
    "liaall.limmod.limpts.wrk.pts.nam"                      :null,
    "bedgrp.blk.docins"                      :null,
    "liaall.limmod.limpts.wrk.pts.extkey"                      :null,
    "bedgrp.blk.intdis"                      :null,
    "bedgrp.prb.pts.extkey"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "bedgrp.oth.pts.adrblk"                      :null,
    "liaall.limmod.limpts.nonrevflg1"                      :null,
    "bedgrp.prb.pts.adrblk"                      :null,
    "bedgrp.oth.pts.extkey"                      :null,
    "bedgrp.blk.disdoc"                      :null,
    "bedgrp.iss.pts.nam"                      :null,
    "mtabut.clsflg"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

