import Utils from "~/utils"

/**
* Betset Check规则
*/
let checkObj = {
    "liaall.misamt"                      :null,
    "bedgrp.prb.pts.nam"                      :null,
    "cnybop.outflg"                      :null,
    "liaall.limmod.limpts.oth.pts.nam"                      :null,
    "setmod.dspflg"                      :null,
    "bedgrp.rec.frepayflg"                      :null,
    "liaall.limmod.limpts.wrk.pts.nam"                      :null,
    "cnybop.cnyflg"                      :null,
    "lendoc.account"                      :null,
    "liaall.limmod.limpts.oth.pts.extkey"                      :null,
    "liaall.limmod.ownref"                      :null,
    "bedgrp.apl.pts.nam"                      :null,
    "liaall.limmod.ecifno"                      :null,
    "bopmod.szflg"                      :null,
    "cnybop.traflg"                      :null,
    "liaall.tenstm"                      :null,
    "setmod.redamt"                      :null,
    "aamset.utlamt2"                      :null,
    "liaall.limmod.limpts.wrk.pts.extkey"                      :null,
    "bopmod.basflg"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "liaall.limmod.limpts.nonrevflg1"                      :null,
    "cnybop.libflg"                      :null,
    "bopmod.ownextkey"                      :null,
    "setmod.docamt"                      :null,
    "bopmod.acttyp"                      :null,
    "bedgrp.iss.pts.nam"                      :null,
    "mtabut.clsflg"                      :null,
    "cnybop.vouflg"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

