import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"

export default class Brtame{
    constructor () {
        this.data = {
						lidgrp:{
							rec:{
								ownref:"",			//  参考号		.lidgrp.rec.ownref
								nam:"",			//  简略信息		.lidgrp.rec.nam
								revflg:"",			//  Revolving Flag		.lidgrp.rec.revflg
								avbby:"",			//  Available by		.lidgrp.rec.avbby
								redclsflg:"",			//  Red/Green Clause		.lidgrp.rec.redclsflg
								opndat:"",			//  开证日期		.lidgrp.rec.opndat
								shpdat:"",			//  最迟装运日期		.lidgrp.rec.shpdat
								expdat:"",			//  到期日/到期地点		.lidgrp.rec.expdat
								expplc:"",			//  到期日/到期地点		.lidgrp.rec.expplc
								lcrtyp:"",			//  信用证类型		.lidgrp.rec.lcrtyp
							},
							cbs:{
								nom1:{
									cur:"",			//  信用证金额		.lidgrp.cbs.nom1.cur
									amt:"",			//  信用证金额		.lidgrp.cbs.nom1.amt
								},
								opn1:{
									cur:"",			//  信用证余额		.lidgrp.cbs.opn1.cur
									amt:"",			//  Balance		.lidgrp.cbs.opn1.amt
								},
							},
							avbnam:"",			//  指定银行		.lidgrp.avbnam
						},
						brtp:{
							lidget:{
								sdamod:{
									seainf:"",			//  		.brtp.lidget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.brtp.lidget.sdamod.dadsnd
								},
							},
							aammod:{
								addamtflg:"",			//  Add. Amount		.brtp.aammod.addamtflg
							},
							recget:{
								sdamod:{
									seainf:"",			//  		.brtp.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.brtp.recget.sdamod.dadsnd
								},
							},
							shpp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.brtp.shpp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.brtp.shpp.ptsget.sdamod.dadsnd
									},
								},
							},
							connum:"",			//  Contract Number		.brtp.connum
						},
						brdgrp:{
							apl:{
								pts:new Pts().data,
							},
							ben:{
								pts:new Pts().data,
							},
							prb:{
								pts:new Pts().data,
							},
							rec:{
								ownref:"",			//  Document Set Ref.		.brdgrp.rec.ownref
								nam:"",			//  Name		.brdgrp.rec.nam
								shgref:"",			//  SG Reference		.brdgrp.rec.shgref
								relgodflg:"",			//  Release of Goods		.brdgrp.rec.relgodflg
								reltyp:"",			//  Release Type		.brdgrp.rec.reltyp
								relgoddat:"",			//  issue date		.brdgrp.rec.relgoddat
								expdat:"",			//  Expiry Date of Shipping Guarantee		.brdgrp.rec.expdat
								trpdoctyp:"",			//  Transport Doc. Type		.brdgrp.rec.trpdoctyp
								trpdocnum:"",			//  Transport Doc. No.		.brdgrp.rec.trpdocnum
								tradat:"",			//  shipment date		.brdgrp.rec.tradat
								tramod:"",			//  Mode of Transport		.brdgrp.rec.tramod
								rtoaplflg:"",			//  Release Goods to Applicant ?		.brdgrp.rec.rtoaplflg
								ngrcod:"",			//  Goods code		.brdgrp.rec.ngrcod
								blnum:"",			//  B/L Number		.brdgrp.rec.blnum
							},
							cbs:{
								max:{
									cur:"",			//  Amount of Shipment		.brdgrp.cbs.max.cur
									amt:"",			//  Balance		.brdgrp.cbs.max.amt
								},
                                opn1:{
									cur:"",			//  Amount of Shipment		.brdgrp.cbs.max.cur
									amt:"",			//  Balance		.brdgrp.cbs.max.amt
								},
							},
							blk:{
								vesnam:"",			//  Vessel Name		.brdgrp.blk.vesnam
								pordis:"",			//  Port of Discharge		.brdgrp.blk.pordis
								delplc:"",			//  Place of Delivery		.brdgrp.blk.delplc
								roggod:"",			//  Covered Goods		.brdgrp.blk.roggod
								relstoadr:"",			//  Release to Address		.brdgrp.blk.relstoadr
								porlod:"",			//  Port of loading		.brdgrp.blk.porlod
								voynum:"",			//  Voyage numer		.brdgrp.blk.voynum
								notpty:"",			//  Notify Party		.brdgrp.blk.notpty
								carnam:"",			//  Carrier		.brdgrp.blk.carnam
							},
							shp:{
								pts:new Pts().data,
								namelc:"",			//  名称		.brdgrp.shp.namelc
								adrelc:"",			//  地址		.brdgrp.shp.adrelc
								dbfadrblkcn:"",			//  Chinese address		.brdgrp.shp.dbfadrblkcn
							},
						},
						liaall: new Pub().data.Liaall,
                        setmod: new Pub().data.Setmod,
						mtabut: new Pub().data.Mtabut,
						trnmod: new Pub().data.Trnmod,
						pageId: ""			// ctx的key
				}
    }
}