import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"   //引入公共面板

export default class Brtdck {
  constructor() {
    this.data = {

      setmod: new Pub().data.Setmod,  //加入公共面板账务字段
      mtabut: new Pub().data.Mtabut,
      trnmod: new Pub().data.Trnmod,   //加入公共面板面函的字段 
      brtapll2blk: "", //加入公共面板面函的字段
      brtapll1blk: "",
      brtrogl1blk: "",
      brtapll3blk: "",
      brtrogl2blk: "",
      liaall: new Pub().data.Liaall,    //加入公共面板表外字段

      oridoclab: "",			//  Label original		.oridoclab
      oriaddlab: "",			//  Label original		.oriaddlab
      brdgrp: {
        rec: {
          ownref: "",			//  单据参考号		.brdgrp.rec.ownref
          nam: "",			//  Name of Bill Contract		.brdgrp.rec.nam
          rcvdat: "",			//  Date of Receipt of Documents		.brdgrp.rec.rcvdat
          advdat: "",			//  到单日期		.brdgrp.rec.advdat
          docflg: "",			//  Document Type		.brdgrp.rec.docflg
          docsta: "",			//  单据状态		.brdgrp.rec.docsta
          matdat: "",			//  Maturity Date		.brdgrp.rec.matdat
          tenmaxday: "",			//  单据类型		.brdgrp.rec.tenmaxday
          stadat: "",			//  远期单据到期日		.brdgrp.rec.stadat
          predat: "",			//  Presentation Date		.brdgrp.rec.predat
          shpdat: "",			//  Date of Shipment		.brdgrp.rec.shpdat
          dscinsflg: "",			//  Enter Docs, Discrep. and Instructions		.brdgrp.rec.dscinsflg
          docprbrol: "",			//  Presented by		.brdgrp.rec.docprbrol
          payrol: "",			//  Payer		.brdgrp.rec.payrol
          igndisflg: "",			//  Ignore Discrepancies		.brdgrp.rec.igndisflg
          advtyp: "",			//  Type of Advice Received		.brdgrp.rec.advtyp
          totdat: "",			//  付款日期		.brdgrp.rec.totdat
          disdat: "",			//  Discrepancy Advice Dated		.brdgrp.rec.disdat
          approvcod: "",			//  Documents on Approval Basis		.brdgrp.rec.approvcod
          relgodflg: "",			//  Release of Goods		.brdgrp.rec.relgodflg
          reltyp: "",			//  Release Type		.brdgrp.rec.reltyp
          relgoddat: "",			//  issue date		.brdgrp.rec.relgoddat
          expdat: "",			//  Expiry Date of Shipping Guarantee		.brdgrp.rec.expdat
          trpdoctyp: "",			//  Transport Doc. Type		.brdgrp.rec.trpdoctyp
          trpdocnum: "",			//  Transport Doc. No.		.brdgrp.rec.trpdocnum
          tradat: "",			//  shipment date		.brdgrp.rec.tradat
          tramod: "",			//  Mode of Transport		.brdgrp.rec.tramod
          rtoaplflg: "",			//  Release Goods to Applicant ?		.brdgrp.rec.rtoaplflg
          ngrcod: "",			//  Goods code		.brdgrp.rec.ngrcod
          blnum: "",			//  B/L Number		.brdgrp.rec.blnum
        },
        cbs: {
          max: {
            cur: "",			//  Document Amount		.brdgrp.cbs.max.cur
            amt: "",			//  Document Amount		.brdgrp.cbs.max.amt
          },
          opn1: {
            cur: "",			//  单据余额		.brdgrp.cbs.opn1.cur
            amt: "",			//  Balance		.brdgrp.cbs.opn1.amt
          },
          opn2: {
            cur: "",			//  附加金额		.brdgrp.cbs.opn2.cur
          },
          max2: {
            amt: "",			//  附加金额		.brdgrp.cbs.max2.amt
          },
        },
        apl: {
          pts: new Pts().data,
        },
        ben: {
          pts: new Pts().data,
        },
        prb: {
          pts: new Pts().data,
          namelc: "",			//  名称		.brdgrp.prb.namelc
          adrelc: "",			//  地址		.brdgrp.prb.adrelc
          dbfadrblkcn: "",			//  Chinese address		.brdgrp.prb.dbfadrblkcn
        },
        blk: {
          matper: "",			//  Maturity Period		.brdgrp.blk.matper
          comcon: "",			//  Comments and Conclusions		.brdgrp.blk.comcon
          setinsbr: "",			//  Settlement Instructions BR		.brdgrp.blk.setinsbr
          docdis: "",			//  Discrepancies		.brdgrp.blk.docdis
          docdisflg: "",			//  discrepancies modified		.brdgrp.blk.docdisflg
          vesnam: "",			//  Vessel Name		.brdgrp.blk.vesnam
          pordis: "",			//  Port of Discharge		.brdgrp.blk.pordis
          delplc: "",			//  Place of Delivery		.brdgrp.blk.delplc
          roggod: "",			//  Covered Goods		.brdgrp.blk.roggod
          relstoadr: "",			//  Release to Address		.brdgrp.blk.relstoadr
          porlod: "",			//  Port of loading		.brdgrp.blk.porlod
          voynum: "",			//  Voyage numer		.brdgrp.blk.voynum
          notpty: "",			//  Notify Party		.brdgrp.blk.notpty
          carnam: "",			//  Carrier		.brdgrp.blk.carnam
        },
        shp: {
          pts: new Pts().data,
          namelc: "",			//  名称		.brdgrp.shp.namelc
          adrelc: "",			//  地址		.brdgrp.shp.adrelc
          dbfadrblkcn: "",			//  Chinese address		.brdgrp.shp.dbfadrblkcn
        },
      },
      lidgrp: {
        rec: {
          ownref: "",			//  信用证编号		.lidgrp.rec.ownref
          expdat: "",			//  Date of Expiry		.lidgrp.rec.expdat
          utlnbr: "",			//  Count of Received Document Sets		.lidgrp.rec.utlnbr
          aplref: "",			//  Applicant Reference		.lidgrp.rec.aplref
        },
        cbs: {
          opn1: {
            cur: "",			//  Currency		.lidgrp.cbs.opn1.cur
            amt: "",			//  Balance		.lidgrp.cbs.opn1.amt
          },
        },
      },
      brtp: {
        lidget: {
          sdamod: {
            seainf: "",			//  		.brtp.lidget.sdamod.seainf
            dadsnd: "",			//  Drag  Drop Sender		.brtp.lidget.sdamod.dadsnd
          },
        },
        recget: {
          sdamod: {
            dadsnd: "",			//  Drag  Drop Sender		.brtp.recget.sdamod.dadsnd
            seainf: "",			//  		.brtp.recget.sdamod.seainf
          },
        },
        matp: {
          mattxtlab: "",			//  Label for MATTXT		.brtp.matp.mattxtlab
        },
        prbp: {
          ptsget: {
            sdamod: {
              seainf: "",			//  		.brtp.prbp.ptsget.sdamod.seainf
              dadsnd: "",			//  Drag  Drop Sender		.brtp.prbp.ptsget.sdamod.dadsnd
            },
          },
        },
        oth: {
          pts: new Pts().data,
          namelc: "",			//  名称		.brtp.oth.namelc
          adrelc: "",			//  地址		.brtp.oth.adrelc
          dbfadrblkcn: "",			//  Chinese address		.brtp.oth.dbfadrblkcn
        },
        othp: {
          ptsget: {
            sdamod: {
              seainf: "",			//  		.brtp.othp.ptsget.sdamod.seainf
              dadsnd: "",			//  Drag  Drop Sender		.brtp.othp.ptsget.sdamod.dadsnd
            },
          },
        },
        setnowflg: "",			//  Register to Send and Settle Document		.brtp.setnowflg
        docgrdm: {
          docdsclab: "",			//  Label of document description		.brtp.docgrdm.docdsclab
          docgrd: "",                   //brtp.docgrdm.docgrd
        },
        cre752flg: "",			//  Create 752		.brtp.cre752flg
        furide: "",			//  Further Identification		.brtp.furide
        cre732flg: "",			//  Create MT 732		.brtp.cre732flg
        shpp: {
          ptsget: {
            sdamod: {
              seainf: "",			//  		.brtp.shpp.ptsget.sdamod.seainf
              dadsnd: "",			//  Drag  Drop Sender		.brtp.shpp.ptsget.sdamod.dadsnd
            },
          },
        },
        connum: "",			//  Contract Number		.brtp.connum
      },
      oldbrdgrp: {
        cbs: {
          max: {
            amt: "",			//  Balance		.oldbrdgrp.cbs.max.amt
          },
          max2: {
            amt: "",			//  Balance		.oldbrdgrp.cbs.max2.amt
          },
        },
      },
      mhtyp: "",			//  Transaction Type		.mhtyp
      days: "",			//  days		.days
      // liaall:{
      // 	misamt:"",			//  Amount not yet assigned		.liaall.misamt
      // 	concur:"",			//  External Booking Amount		.liaall.concur
      // 	outpct:"",			//  Sight Amount Percentage		.liaall.outpct
      // 	outamt:"",			//  Sight Amount		.liaall.outamt
      // 	exttotoldamt:"",			//  Old Amount booked externally		.liaall.exttotoldamt
      // 	exttotamt:"",			//  Total booking amount external assinged		.liaall.exttotamt
      // 	limmod:{
      // 		limpts:{
      // 			wrklab:"",			//  Label		.liaall.limmod.limpts.wrklab
      // 			othlab:"",			//  Label		.liaall.limmod.limpts.othlab
      // 			othlabss:"",			//  Label		.liaall.limmod.limpts.othlabss
      // 			wrk:{
      // 				pts:new Pts().data,
      // 			},
      // 			oth:{
      // 				pts:new Pts().data,
      // 			},
      // 			lsh:"",			//  合同流�'号		.liaall.limmod.limpts.lsh
      // 			nonrevflg1:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg1
      // 			pfcod1:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod1
      // 			nonrevflg2:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg2
      // 			pfcod2:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod2
      // 		},
      // 		wrkp:{
      // 			ptsget:{
      // 				sdamod:{
      // 					dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.wrkp.ptsget.sdamod.dadsnd
      // 					seainf:"",			//  		.liaall.limmod.wrkp.ptsget.sdamod.seainf
      // 				},
      // 			},
      // 		},
      // 		othp:{
      // 			ptsget:{
      // 				sdamod:{
      // 					dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.othp.ptsget.sdamod.dadsnd
      // 					seainf:"",			//  		.liaall.limmod.othp.ptsget.sdamod.seainf
      // 				},
      // 			},
      // 		},
      // 		ownref:"",			//  国结业务编号		.liaall.limmod.ownref
      // 		comamt:"",			//  业务余额		.liaall.limmod.comamt
      // 		ccvamt:"",			//  保证金余额		.liaall.limmod.ccvamt
      // 		ecifno:"",			//  ECIFNO		.liaall.limmod.ecifno
      // 	},
      // },
      // setmod:{
      // 	docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
      // 	retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
      // 	ref:"",			//  our reference		.setmod.ref
      // 	doccur:"",			//  document currency		.setmod.doccur
      // 	docamt:"",			//  document amount		.setmod.docamt
      // 	dspflg:"",			//  Type of settlement		.setmod.dspflg
      // 	xreflg:"",			//  Recalculate Rates		.setmod.xreflg
      // 	setglg:{
      // 		labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
      // 	},
      // 	zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
      // 	zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
      // },
      // mtabut: {
      //   coninf: {
      //     oitinf: {
      //       labinftxt: "",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
      //       oit: {
      //         inftxt: "",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
      //         inflev: "",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
      //       },
      //     },
      //     oitset: {
      //       labinftxt: "",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
      //       oit: {
      //         inftxt: "",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
      //         inflev: "",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
      //       },
      //     },
      //     conexedat: "",			//  执行日期		.mtabut.coninf.conexedat
      //     usr: {
      //       extkey: "",			//  User ID		.mtabut.coninf.usr.extkey
      //     },
      //   },
      // },
      // trnmod:{
      // 	trndoc:{
      // 		advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
      // 		amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
      // 		advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
      // 		advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
      // 		amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
      // 		doclbl:"",			//  Lable for CONDOCSTM		.trnmod.trndoc.doclbl
      // 		doctrestm:"",			//  Document tree		.trnmod.trndoc.doctrestm
      // 		shwinc:"",			//  Show Incoming Messages		.trnmod.trndoc.shwinc
      // 		shwout:"",			//  Show Outgoing Messages		.trnmod.trndoc.shwout
      // 		condocstm:"",			//  Connected Documents		.trnmod.trndoc.condocstm
      // 		rcvatt:{
      // 			seainf:"",			//  		.trnmod.trndoc.rcvatt.seainf
      // 		},
      // 		filrecv:"",			//  File Receiver		.trnmod.trndoc.filrecv
      // 	},
      // },
      pageId: ""			// ctx的key
    }
  }
}