
/**
* Brtudp Default规则
*/
import Api from "~/service/Api";
import Utils from "~/utils/index"

export default {
    "brdgrp.rmb.pts.adrblk"                      :Utils.defaultFunction,
    "setmod.doccur"                      :Utils.defaultFunction,
    "setmod.docamt"                      :Utils.defaultFunction,
    "liaall.limmod.limpts.oth.pts.extkey"                      :Utils.defaultFunction,
    "brdgrp.prb.pts.extkey"                      :Utils.defaultFunction,
    "brdgrp.prb.adrelc"                      :Utils.defaultFunction,
    "brdgrp.prb.namelc"                      :Utils.defaultFunction,
    "brdgrp.prb.dbfadrblkcn"                      :Utils.defaultFunction,
    "brdgrp.prb.pts.adrblk"                      :Utils.defaultFunction,
    "brdgrp.rmb.pts.extkey"                      :Utils.defaultFunction,
    "brdgrp.rmb.adrelc"                      :Utils.defaultFunction,
    "brdgrp.rmb.namelc"                      :Utils.defaultFunction,
    "brdgrp.rmb.dbfadrblkcn"                      :Utils.defaultFunction,
    "setmod.dspflg"                      :Utils.defaultFunction,
    "trnmod.trndoc.condocstm"                      :Utils.defaultFunction,
    "trnmod.trndoc.shwinc"                      :Utils.defaultFunction,
    "trnmod.trndoc.shwout"                      :Utils.defaultFunction,
    "cfabrt.cfaflg"                      :Utils.defaultFunction,
    "liaall.limmod.limpts.wrk.pts.extkey"                      :Utils.defaultFunction,
    "brdgrp.acb.pts.adrblk"                      :Utils.defaultFunction,
    "liaall.limmod.limpts.nonrevflg2"                      :Utils.defaultFunction,
    "liaall.limmod.limpts.nonrevflg1"                      :Utils.defaultFunction,
    "brtp.oth.pts.extkey"                      :Utils.defaultFunction,
    "brtp.oth.adrelc"                      :Utils.defaultFunction,
    "brtp.oth.namelc"                      :Utils.defaultFunction,
    "brtp.oth.dbfadrblkcn"                      :Utils.defaultFunction,
    "brdgrp.beb.pts.extkey"                      :Utils.defaultFunction,
    "brdgrp.beb.adrelc"                      :Utils.defaultFunction,
    "brdgrp.beb.namelc"                      :Utils.defaultFunction,
    "brdgrp.beb.dbfadrblkcn"                      :Utils.defaultFunction,
    "brdgrp.acb.pts.extkey"                      :Utils.defaultFunction,
    "brdgrp.acb.adrelc"                      :Utils.defaultFunction,
    "brdgrp.acb.namelc"                      :Utils.defaultFunction,
    "brdgrp.acb.dbfadrblkcn"                      :Utils.defaultFunction,
    "brtp.oth.pts.adrblk"                      :Utils.defaultFunction,
    "brdgrp.ben.pts.nam"                      :Utils.defaultFunction,
    "brdgrp.rec.docprbrol"                      :Utils.defaultFunction,
    "brdgrp.cbs.max2.amt"                      :Utils.defaultFunction,
    "brdgrp.cbs.max.amt"                      :Utils.defaultFunction,
    "brdgrp.apl.pts.nam"                      :Utils.defaultFunction,
    "brdgrp.cbs.max.cur"                      :Utils.defaultFunction,
    "cfabrt.basflg"                      :Utils.defaultFunction,
    "lidgrp.rec.ownref"                      :Utils.defaultFunction,
    "liaall.limmod.comamt"                      :Utils.defaultFunction,
    "liaall.limmod.ccvamt"                      :Utils.defaultFunction,
    "brtp.cre752flg"                      :Utils.defaultFunction,
    "liaall.limmod.limpts.wrk.pts.nam"                      :Utils.defaultFunction,
    "setmod.glemod.gleshwstm"                      :Utils.defaultFunction,
    "brdgrp.rec.approvcod"                      :Utils.defaultFunction,
    "brdgrp.rec.disdat"                      :Utils.defaultFunction,
    "liaall.liaccv.newamt"                      :Utils.defaultFunction,
    "liaall.liaccv.totcovamt"                      :Utils.defaultFunction,
    "brdgrp.beb.pts.adrblk"                      :Utils.defaultFunction,
    "brdgrp.cbs.opn1.amt"                      :Utils.defaultFunction,
    "liaall.liaccv.cshpct"                      :Utils.defaultFunction,
    "brdgrp.rec.advdat"                      :Utils.defaultFunction,
    "brdgrp.rec.docsta"                      :Utils.defaultFunction,
    "brdgrp.rec.advtyp"                      :Utils.defaultFunction,
    "brdgrp.rec.rcvdat"                      :Utils.defaultFunction,
    "brdgrp.blk.docdis"                      :Utils.defaultFunction,
    "mtabut.coninf.oitset.oit.inftxt"                      :Utils.defaultFunction,
    "mtabut.coninf.oitset.oit.inflev"                      :Utils.defaultFunction,
    "brdgrp.rec.stadat"                      :Utils.defaultFunction,
    "sftmt"                      :Utils.defaultFunction,
    "brdgrp.rec.payrol"                      :Utils.defaultFunction,
    "mtabut.coninf.usr.extkey"                      :Utils.defaultFunction,
    "liaall.liaccv.addinf"                      :Utils.defaultFunction,
    "liaall.limmod.limpts.oth.pts.nam"                      :Utils.defaultFunction,
    "liaall.liaccv.concur"                      :Utils.defaultFunction,
    "brdgrp.rec.ownref"                      :Utils.defaultFunction,
    "brdgrp.prb.pts.nam"                      :Utils.defaultFunction,
    "brdgrp.rec.docflg"                      :Utils.defaultFunction,
    "brdgrp.blk.docdisflg"                      :Utils.defaultFunction,
    "lidgrp.rec.expdat"                      :Utils.defaultFunction,
    "lidgrp.cbs.opn1.amt"                      :Utils.defaultFunction,
    "brdgrp.rec.predat"                      :Utils.defaultFunction,
    "aamset.utlamt"                      :Utils.defaultFunction,
    "brdgrp.cbs.opn2.cur"                      :Utils.defaultFunction,
    "aamset.utlamt2"                      :Utils.defaultFunction,
    "liaall.misamt"                      :Utils.defaultFunction,
    "mtabut.coninf.oitinf.oit.inftxt"                      :Utils.defaultFunction,
    "mtabut.coninf.oitinf.oit.inflev"                      :Utils.defaultFunction,
    "mtabut.coninf.conexedat"                      :Utils.defaultFunction,
}
//你可以添加自动default处理
