
/**
* Gitpop Default规则
*/
import Api from "~/service/Api";
import Utils from "~/utils/index"

export default {
    "gidgrp.blk.atxexptxt"                      :Utils.defaultFunction,
    "gidgrp.blk.exptxt"                      :Utils.defaultFunction,
    "gidgrp.rec.purpos"                      :Utils.defaultFunction,
    "gidgrp.rec.atxinr"                      :Utils.defaultFunction,
    "gidgrp.rec.secuilflg"                      :Utils.defaultFunction,
    "gidgrp.cbs.max.cur"                      :Utils.defaultFunction,
    "gidgrp.rec.fingua"                      :Utils.defaultFunction,
    "gidgrp.con.pts.extkey"                      :Utils.defaultFunction,
    "gidgrp.con.adrelc"                      :Utils.defaultFunction,
    "gidgrp.con.namelc"                      :Utils.defaultFunction,
    "gidgrp.con.dbfadrblkcn"                      :Utils.defaultFunction,
    "gidgrp.con.pts.adrblk"                      :Utils.defaultFunction,
    "gidgrp.rec.purposin"                      :Utils.defaultFunction,
    "gidgrp.rec.liatypc"                      :Utils.defaultFunction,
    "gidgrp.blk.preper"                      :Utils.defaultFunction,
    "gidgrp.blk.atxpreper"                      :Utils.defaultFunction,
    "gidgrp.rec.expdat"                      :Utils.defaultFunction,
    "gidgrp.rec.expflg"                      :Utils.defaultFunction,
    "gidgrp.rec.deloric"                      :Utils.defaultFunction,
    "gidgrp.adv.pts.extkey"                      :Utils.defaultFunction,
    "gidgrp.adv.adrelc"                      :Utils.defaultFunction,
    "gidgrp.adv.namelc"                      :Utils.defaultFunction,
    "gidgrp.adv.dbfadrblkcn"                      :Utils.defaultFunction,
    "gidgrp.rec.ownref"                      :Utils.defaultFunction,
    "gidgrp.rec.exptyp"                      :Utils.defaultFunction,
    "gidgrp.rec.orcdatc"                      :Utils.defaultFunction,
    "gidgrp.rec.stdwrduilc"                      :Utils.defaultFunction,
    "gidgrp.ghd.segtyp"                      :Utils.defaultFunction,
    "gidgrp.rec.tendat"                      :Utils.defaultFunction,
    "gidgrp.rec.giduil"                      :Utils.defaultFunction,
    "gidgrp.rec.gtxinrc"                      :Utils.defaultFunction,
    "gitp.prepercmodflg"                      :Utils.defaultFunction,
    "gidgrp.apc.pts.extkey"                      :Utils.defaultFunction,
    "gidgrp.apc.adrelc"                      :Utils.defaultFunction,
    "gidgrp.apc.namelc"                      :Utils.defaultFunction,
    "gidgrp.apc.dbfadrblkcn"                      :Utils.defaultFunction,
    "gidgrp.apc.pts.adrblk"                      :Utils.defaultFunction,
    "gidgrp.rec.gartyp"                      :Utils.defaultFunction,
    "gidgrp.cbs.max.amt"                      :Utils.defaultFunction,
    "gitp.gidtxtmodflg"                      :Utils.defaultFunction,
    "gidgrp.bec.pts.extkey"                      :Utils.defaultFunction,
    "gidgrp.bec.adrelc"                      :Utils.defaultFunction,
    "gidgrp.bec.namelc"                      :Utils.defaultFunction,
    "gidgrp.bec.dbfadrblkcn"                      :Utils.defaultFunction,
    "gidgrp.bec.pts.adrblk"                      :Utils.defaultFunction,
    "gidgrp.rec.revflg"                      :Utils.defaultFunction,
    "gitp.prepermodflg"                      :Utils.defaultFunction,
    "gidgrp.blk.gtxgidtxtc"                      :Utils.defaultFunction,
    "gidgrp.rec.gtxinr"                      :Utils.defaultFunction,
    "gidgrp.blk.gtxgidtxt"                      :Utils.defaultFunction,
    "gidgrp.blk.gidtxt"                      :Utils.defaultFunction,
    "gitp.swiftflg"                      :Utils.defaultFunction,
    "gidgrp.apl.pts.extkey"                      :Utils.defaultFunction,
    "gidgrp.apl.adrelc"                      :Utils.defaultFunction,
    "gidgrp.apl.namelc"                      :Utils.defaultFunction,
    "gidgrp.apl.dbfadrblkcn"                      :Utils.defaultFunction,
    "gitp.covgodsrvcmodflg"                      :Utils.defaultFunction,
    "gidgrp.rec.autrnwflgc"                      :Utils.defaultFunction,
    "gidgrp.atb.pts.extkey"                      :Utils.defaultFunction,
    "gidgrp.rec.stdwrdc"                      :Utils.defaultFunction,
    "gidgrp.ben.pts.extkey"                      :Utils.defaultFunction,
    "gidgrp.rec.orcdat"                      :Utils.defaultFunction,
    "gidgrp.rec.hndtyp"                      :Utils.defaultFunction,
    "gidgrp.rec.orcratc"                      :Utils.defaultFunction,
    "gidgrp.cbs.mac.cur"                      :Utils.defaultFunction,
    "gidgrp.rec.orcamtc"                      :Utils.defaultFunction,
    "gidgrp.cbs.mac.amt"                      :Utils.defaultFunction,
    "gidgrp.ghd.bustyp"                      :Utils.defaultFunction,
    "gidgrp.blk.gidtxtc"                      :Utils.defaultFunction,
    "gidgrp.apl.pts.adrblk"                      :Utils.defaultFunction,
    "gidgrp.rec.mannum"                      :Utils.defaultFunction,
    "gidgrp.bdb.pts.extkey"                      :Utils.defaultFunction,
    "gidgrp.rec.orccur"                      :Utils.defaultFunction,
    "gitp.exptxtmodflg"                      :Utils.defaultFunction,
    "gidgrp.blk.liatxtc"                      :Utils.defaultFunction,
    "gidgrp.blk.atxliatxtc"                      :Utils.defaultFunction,
    "gidgrp.atb.adrelc"                      :Utils.defaultFunction,
    "gidgrp.atb.namelc"                      :Utils.defaultFunction,
    "gidgrp.atb.dbfadrblkcn"                      :Utils.defaultFunction,
    "gidgrp.atb.pts.adrblk"                      :Utils.defaultFunction,
    "gitp.usr.extkey"                      :Utils.defaultFunction,
    "gidgrp.rec.liadat"                      :Utils.defaultFunction,
    "gidgrp.rec.legfrm"                      :Utils.defaultFunction,
    "gidgrp.iss.pts.extkey"                      :Utils.defaultFunction,
    "gidgrp.iss.adrelc"                      :Utils.defaultFunction,
    "gidgrp.iss.namelc"                      :Utils.defaultFunction,
    "gidgrp.iss.dbfadrblkcn"                      :Utils.defaultFunction,
    "gitp.inc760"                      :Utils.defaultFunction,
    "gidgrp.blk.covgodsrv"                      :Utils.defaultFunction,
    "gidgrp.blk.atxcovgodsrv"                      :Utils.defaultFunction,
    "gidgrp.blk.atxcovgodsrvc"                      :Utils.defaultFunction,
    "gidgrp.blk.covgodsrvc"                      :Utils.defaultFunction,
    "gidgrp.rec.orccurc"                      :Utils.defaultFunction,
    "gitp.gidtxtmodflgc"                      :Utils.defaultFunction,
    "gidgrp.adv.pts.adrblk"                      :Utils.defaultFunction,
    "gidgrp.rec.transferc"                      :Utils.defaultFunction,
    "gidgrp.rec.opndat"                      :Utils.defaultFunction,
    "gidgrp.ctc.pts.extkey"                      :Utils.defaultFunction,
    "gidgrp.ctc.adrelc"                      :Utils.defaultFunction,
    "gidgrp.ctc.namelc"                      :Utils.defaultFunction,
    "gidgrp.ctc.dbfadrblkcn"                      :Utils.defaultFunction,
    "gidgrp.ctr.pts.adrblk"                      :Utils.defaultFunction,
    "gidgrp.blk.preperc"                      :Utils.defaultFunction,
    "gidgrp.blk.atxpreperc"                      :Utils.defaultFunction,
    "gidgrp.rec.gartypc"                      :Utils.defaultFunction,
    "gidgrp.rec.legfrmc"                      :Utils.defaultFunction,
    "gitp.aamp.aammod.addamtflg"                      :Utils.defaultFunction,
    "gidgrp.rec.rmbflg"                      :Utils.defaultFunction,
    "gidgrp.ctr.pts.extkey"                      :Utils.defaultFunction,
    "gidgrp.avc.pts.extkey"                      :Utils.defaultFunction,
    "gidgrp.ctr.adrelc"                      :Utils.defaultFunction,
    "gidgrp.ctr.namelc"                      :Utils.defaultFunction,
    "gidgrp.ctr.dbfadrblkcn"                      :Utils.defaultFunction,
    "gidgrp.rec.delori"                      :Utils.defaultFunction,
    "gidgrp.rec.jurlawc"                      :Utils.defaultFunction,
    "gidgrp.ctc.pts.adrblk"                      :Utils.defaultFunction,
    "gidgrp.cbs.opn1.amt"                      :Utils.defaultFunction,
    "gidgrp.rec.trmdat"                      :Utils.defaultFunction,
    "gidgrp.bdb.adrelc"                      :Utils.defaultFunction,
    "gidgrp.bdb.namelc"                      :Utils.defaultFunction,
    "gidgrp.bdb.dbfadrblkcn"                      :Utils.defaultFunction,
    "gidgrp.bdb.pts.adrblk"                      :Utils.defaultFunction,
    "gitp.inccormsgflg"                      :Utils.defaultFunction,
    "gitp.drpreflg"                      :Utils.defaultFunction,
    "gidgrp.avc.pts.nam"                      :Utils.defaultFunction,
    "gitp.apcsupflg"                      :Utils.defaultFunction,
    "gidgrp.ben.pts.adrblk"                      :Utils.defaultFunction,
    "gidgrp.rec.trmdatc"                      :Utils.defaultFunction,
    "gidgrp.rec.tendatc"                      :Utils.defaultFunction,
    "gidgrp.rec.jurlaws20"                      :Utils.defaultFunction,
    "gitp.aacp.aacmod.addamtflg"                      :Utils.defaultFunction,
    "gidgrp.rec.drpreflg"                      :Utils.defaultFunction,
    "gidgrp.ben.adrelc"                      :Utils.defaultFunction,
    "gidgrp.ben.namelc"                      :Utils.defaultFunction,
    "gidgrp.ben.dbfadrblkcn"                      :Utils.defaultFunction,
    "gitp.covgodsrvmodflg"                      :Utils.defaultFunction,
    "gidgrp.rec.liaflg"                      :Utils.defaultFunction,
    "gitp.liatxtcmodflg"                      :Utils.defaultFunction,
    "gitp.aplsupflg"                      :Utils.defaultFunction,
    "gidgrp.rec.deltoc"                      :Utils.defaultFunction,
    "gidgrp.rec.transfer"                      :Utils.defaultFunction,
    "gidgrp.rec.stacty"                      :Utils.defaultFunction,
    "gidgrp.blk.apprul"                      :Utils.defaultFunction,
    "gidgrp.rec.tenclsdat"                      :Utils.defaultFunction,
    "gidgrp.rec.orcamt"                      :Utils.defaultFunction,
    "gidgrp.rec.delto"                      :Utils.defaultFunction,
    "gidgrp.rec.orcrat"                      :Utils.defaultFunction,
    "gidgrp.iss.pts.adrblk"                      :Utils.defaultFunction,
    "gidgrp.rec.tenclsdatc"                      :Utils.defaultFunction,
    "gidgrp.ghd.aplnam"                      :Utils.defaultFunction,
    "gidgrp.rec.vrfdat"                      :Utils.defaultFunction,
    "gidgrp.rec.opndatc"                      :Utils.defaultFunction,
    "gidgrp.rec.orddat"                      :Utils.defaultFunction,
    "gidgrp.blk.apprulc"                      :Utils.defaultFunction,
    "gidgrp.rec.autrnwflg"                      :Utils.defaultFunction,
}
//你可以添加自动default处理
