import Utils from "~/utils"

/**
* Infbod Check规则
*/
let checkObj = {
    "bodgrp.blk.setinsbo"                      :null,
    "bodgrp.rec.matperbeg"                      :null,
    "bodgrp.rec.matpertyp"                      :null,
    "bodgrp.blk.proins"                      :null,
    "bodgrp.drr.pts.adrblk"                      :null,
    "bodgrp.dre.adrelc"                      :null,
    "recpan.usr.extkey"                      :null,
    "bodgrp.col.adrelc"                      :null,
    "bodgrp.col.pts.adrblk"                      :null,
    "bodgrp.col.pts.extkey"                      :null,
    "bodgrp.blk.dftins"                      :null,
    "bodgrp.blk.delins"                      :null,
    "infcon.seaamtto"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "bodgrp.col.namelc"                      :null,
    "bodgrp.rec.stacty"                      :null,
    "bodgrp.drr.adrelc"                      :null,
    "bodgrp.dre.namelc"                      :null,
    "bodgrp.blk.colins"                      :null,
    "bodgrp.drr.namelc"                      :null,
    "bodgrp.dre.pts.adrblk"                      :null,
    "bodgrp.blk.othins"                      :null,
    "bodgrp.dre.pts.extkey"                      :null,
    "bodgrp.rec.invtyp"                      :null,
    "bodgrp.drr.pts.extkey"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

