import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"
export default class Litacp{
    constructor () {
        this.data = {
						trnmod: new Pub().data.Trnmod,
						liaall: new Pub().data.Liaall,
						setmod :new Pub().data.Setmod,
						mtabut :new Pub().data.Mtabut,
						ptspta:{
							pts:{
								ref:"",
								extkey:"",
								adrblk:"",
							}
						},
						lidgrp:{
							rec:{
								ownref:"",			//  Reference		.lidgrp.rec.ownref
								nam:"",			//  Name		.lidgrp.rec.nam
								avbby:"",			//  Available by		.lidgrp.rec.avbby
								redclsflg:"",			//  Red/Green Clause		.lidgrp.rec.redclsflg
								opndat:"",			//  L/C Issued on		.lidgrp.rec.opndat
								shpdat:"",			//  Latest Shipment Date		.lidgrp.rec.shpdat
								expdat:"",			//  L/C Expiring on		.lidgrp.rec.expdat
								expplc:"",			//  in (Place)/ counters of		.lidgrp.rec.expplc
								lcrtyp:"",			//  Form of L/C		.lidgrp.rec.lcrtyp
								revflg:"",			//  Revolving Flag		.lidgrp.rec.revflg
								nomtop:"",			//  Amount Tolerance +/-		.lidgrp.rec.nomtop
								nomton:"",			//  Amount Tolerance - Negative		.lidgrp.rec.nomton
								nomspc:"",			//  Amount Specification		.lidgrp.rec.nomspc
								preadvdt:"",			//  Date Pre-advised		.lidgrp.rec.preadvdt
								shppar:"",			//  Partial Shipment		.lidgrp.rec.shppar
								shptrs:"",			//  Transhipment		.lidgrp.rec.shptrs
								apprul:"",			//  Applicable Rules		.lidgrp.rec.apprul
								apprultxt:"",			//  Other Applicable Rules		.lidgrp.rec.apprultxt
								cnfdet:"",			//  Confirm. Instructions		.lidgrp.rec.cnfdet
								rmbflg:"",			//  Reimbursement Information		.lidgrp.rec.rmbflg
								resflg:"",			//  Reserved Contract		.lidgrp.rec.resflg
								shppars18:"",			//  Partial Shipment		.lidgrp.rec.shppars18
								shptrss18:"",			//  Transhipment		.lidgrp.rec.shptrss18
								guaflg:"",			//  Mortgage Flag		.lidgrp.rec.guaflg
								regref:"",			//  Register Ref.		.lidgrp.rec.regref
								rptref:"",			//  合同号		.lidgrp.rec.rptref
								oppbnk:"",			//  对手行代码		.lidgrp.rec.oppbnk
								dkflg:"",			//  是否代开信用证		.lidgrp.rec.dkflg
								stagod:"",			//  Goods Code 		.lidgrp.rec.stagod
								spcbenflg:"",			//  Special payment conditions for beneficiary exists		.lidgrp.rec.spcbenflg
								spcrcbflg:"",			//  Special Payment Conditions for specified Bank only		.lidgrp.rec.spcrcbflg
								avbwth:"",			//  Available with		.lidgrp.rec.avbwth
								shpfro:"",			//  Dispatch from		.lidgrp.rec.shpfro
								porloa:"",			//  Air-/Port of Departure		.lidgrp.rec.porloa
								pordis:"",			//  Air-/Port of Destination		.lidgrp.rec.pordis
								shpto:"",			//  Final Destination		.lidgrp.rec.shpto
								chato:"",			//  Drafts at		.lidgrp.rec.chato
								stacty:"",			//  Country Code Risk Country		.lidgrp.rec.stacty
								tenmaxday:"",			//  Maximum tenor in days		.lidgrp.rec.tenmaxday
								prepers18:"",			//  Days of presentation period		.lidgrp.rec.prepers18
								prepertxts18:"",			//  Presentation period text		.lidgrp.rec.prepertxts18
								revtyp:"",
							
							},
							cbs:{
								nom1:{
									cur:"",			//  Nominal Amount		.lidgrp.cbs.nom1.cur
									amt:"",			//  Nominal Amount		.lidgrp.cbs.nom1.amt
								},
								opn1:{
									cur:"",			//  信用证余额		.lidgrp.cbs.opn1.cur
									amt:"",			//  Balance		.lidgrp.cbs.opn1.amt
								},
								max:{
									cur:"",			//  Maximum Amount		.lidgrp.cbs.max.cur
									amt:"",			//  Maximum Amount		.lidgrp.cbs.max.amt
								},
							},
							apl:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.apl.namelc
								adrelc:"",			//  地址		.lidgrp.apl.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.apl.dbfadrblkcn
							},
							ben:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.ben.namelc
								adrelc:"",			//  地址		.lidgrp.ben.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.ben.dbfadrblkcn
							},
							adv:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.adv.namelc
								adrelc:"",			//  地址		.lidgrp.adv.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.adv.dbfadrblkcn
							},
							avbnam:"",			//  指定银行		.lidgrp.avbnam
							ini:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.ini.namelc
								adrelc:"",			//  地址		.lidgrp.ini.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.ini.dbfadrblkcn
							},
							rmb:{
								pts:new Pts().data,
							},
							a2b:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.a2b.namelc
								adrelc:"",			//  地址		.lidgrp.a2b.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.a2b.dbfadrblkcn
							},
							avb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.avb.namelc
								adrelc:"",			//  地址		.lidgrp.avb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.avb.dbfadrblkcn
							},
							con:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.con.namelc
								adrelc:"",			//  地址		.lidgrp.con.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.con.dbfadrblkcn
							},
							blk:{
								lcrgod:"",			//  Description. of Goods		.lidgrp.blk.lcrgod
								lcrdoc:"",			//  Documents Required		.lidgrp.blk.lcrdoc
								adlcnd:"",			//  Additional Conditions		.lidgrp.blk.adlcnd
								insbnk:"",			//  Instructions to Pay.,		.lidgrp.blk.insbnk
								avbwthtxt:"",			//  Available in		.lidgrp.blk.avbwthtxt
								defdet:"",			//  Deferred Payment Details		.lidgrp.blk.defdet
								dftat:"",			//  Drafts at		.lidgrp.blk.dftat
								shpper:"",			//  Shipment Period		.lidgrp.blk.shpper
								preper:"",			//  Presentation Period		.lidgrp.blk.preper
								preperflg:"",			//  Presentation Period modified		.lidgrp.blk.preperflg
								feetxt:"",			//  Additional Details to Code for Charges		.lidgrp.blk.feetxt
								mixdet:"",			//  Mixed Payment Details		.lidgrp.blk.mixdet
								decamtstm:"",
							},
							drw:{
								pts:new Pts().data,
								namelc:"",			//  名称		.lidgrp.drw.namelc
								adrelc:"",			//  地址		.lidgrp.drw.adrelc
								dbfadrblkcn:"",			//  Chinese address		.lidgrp.drw.dbfadrblkcn
							},
						},
						litp:{
							litp0:{
								recget:{
									sdamod:{
										seainf:"",			//  参考号		.litp.litp0.recget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.litp0.recget.sdamod.dadsnd
									},
								},
								aammod:{
									addamtflg:"",			//  Add. Amount		.litp.litp0.aammod.addamtflg
								},
								thdate:"",			//  提货日期/服务提供日		.litp.litp0.thdate
							},
							recget:{
								sdamod:{
									seainf:"",			//  		.litp.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.litp.recget.sdamod.dadsnd
								},
							},
							usr:{
								extkey:"",			//  Responsible User		.litp.usr.extkey
							},
							usrget:{
								sdamod:{
									seainf:"",			//  		.litp.usrget.sdamod.seainf
								},
							},
							aamp:{
								aammod:{
									addamtflg:"",			//  Add. Amount		.litp.aamp.aammod.addamtflg
								},
							},
							aplp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.aplp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.aplp.ptsget.sdamod.dadsnd
									},
								},
							},
							advp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.advp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.advp.ptsget.sdamod.dadsnd
									},
								},
							},
							benp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.benp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.benp.ptsget.sdamod.dadsnd
									},
								},
							},
							oppbnkl:"",			//  对手行代码		.litp.oppbnkl
							avblab:"",			//  Label Available with Bank		.litp.avblab
							inip:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.inip.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.inip.ptsget.sdamod.dadsnd
									},
								},
							},
							rmbp:{
								ptsget:{
									sdamod:{
										dadsnd:"",			//  Drag  Drop Sender		.litp.rmbp.ptsget.sdamod.dadsnd
										seainf:"",			//  		.litp.rmbp.ptsget.sdamod.seainf
									},
								},
							},
							a2bp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.a2bp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.a2bp.ptsget.sdamod.dadsnd
									},
								},
							},
							avbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.avbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.avbp.ptsget.sdamod.dadsnd
									},
								},
							},
							ptsaddp:{
								ptsaddg:[],			//  		.litp.ptsaddp.ptsaddg
							},
							conp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.conp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.conp.ptsget.sdamod.dadsnd
									},
								},
							},
							drwp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.litp.drwp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.litp.drwp.ptsget.sdamod.dadsnd
									},
								},
							},
							defdetlab:"",			//  Label DEFDET		.litp.defdetlab
						},
						amedat:"",			//  Amount Amend Date		.amedat
						decstm:"",			//  Amount Amend StreamGrid		.decstm
						nbr:"",			//  number		.nbr
						amecur:"",			//  Amount Amend Ccy		.amecur
						ameamt:"",			//  修改金额		.ameamt
						pageId: ""			// ctx的key
				}
    }
}