import Utils from "~/utils"

/**
* Litrog Check规则
*/
let checkObj = {
    "liaall.misamt"                      :null,
    "liaall.limmod.limpts.oth.pts.extkey"                      :null,
    "liaall.limmod.ownref"                      :null,
    "brdgrp.rec.invtyp"                      :null,
    "brdgrp.blk.vesnam"                      :null,
    "liaall.limmod.ecifno"                      :null,
    "brdgrp.rec.relgodflg"                      :null,
    "brdgrp.prb.adrelc"                      :null,
    "brdgrp.rec.expdat"                      :null,
    "brdgrp.cbs.max.amt"                      :null,
    "brdgrp.rec.reltyp"                      :null,
    "addbcb.litameadv"                      :null,
    "brdgrp.prb.pts.adrblk"                      :null,
    "brdgrp.prb.namelc"                      :null,
    "addbcb.gitamecho"                      :null,
    "brdgrp.rec.guaflg"                      :null,
    "liaall.limmod.limpts.oth.pts.nam"                      :null,
    "brdgrp.shp.namelc"                      :null,
    "setmod.dspflg"                      :null,
    "addbcb.label5"                      :null,
    "addbcb.expdat"                      :null,
    "liaall.liaccv.totcovamt"                      :null,
    "brdgrp.prb.pts.nam"                      :null,
    "brdgrp.ben.pts.nam"                      :null,
    "liaall.limmod.limpts.wrk.pts.nam"                      :null,
    "brdgrp.prb.pts.extkey"                      :null,
    "liaall.limmod.limpts.wrk.pts.extkey"                      :null,
    "addbcb.pwtyp9"                      :null,
    "brdgrp.shp.adrelc"                      :null,
    "addbcb.ameadvrmk"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "liaall.limmod.limpts.nonrevflg2"                      :null,
    "liaall.limmod.limpts.nonrevflg1"                      :null,
    "addbcb.preexpdat"                      :null,
    "brdgrp.apl.pts.nam"                      :null,
    "addbcb.bccls2"                      :null,
    "addbcb.bccls1"                      :null,
    "addbcb.bccls4"                      :null,
    "addbcb.bccls3"                      :null,
    "setmod.docamt"                      :null,
    "addbcb.bcbtyp7"                      :null,
    "brdgrp.shp.pts.adrblk"                      :null,
    "liaall.liaccv.cshpct"                      :null,
    "brdgrp.blk.relstoadr"                      :null,
    "brdgrp.rec.trpdocnum"                      :null,
    "brdgrp.shp.pts.extkey"                      :null,
    "addbcb.gitamermk"                      :null,
    "liaall.liaccv.relcshpct"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

