import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"

export default class Bftset {
    constructor() {
        this.data = {
            bptbck: {
                bptbckg: "",
            },
            mtabut: {
                coninf: {
                    oitinf: {
                        labinftxt: "", //  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
                        oit: {
                            inftxt: "", //  Infotext		.mtabut.coninf.oitinf.oit.inftxt
                            inflev: "", //  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
                        },
                    },
                    oitset: {
                        labinftxt: "", //  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
                        oit: {
                            inftxt: "", //  Infotext		.mtabut.coninf.oitset.oit.inftxt
                            inflev: "", //  Infotext Level		.mtabut.coninf.oitset.oit.inflev
                        },
                    },
                    conexedat: "", //  閹笛嗩攽閺冦儲婀�		.mtabut.coninf.conexedat
                    usr: {
                        extkey: "", //  User ID		.mtabut.coninf.usr.extkey
                    },
                },
                clsflg: "", //  Close Flag		.mtabut.clsflg
            },
            trtcre: {
                crefinflg: "", //  Create Financing		.trtcre.crefinflg
            },
            bfdgrp: {
                rec: {
                    frepayflg: "", //  Free of Payment		.bfdgrp.rec.frepayflg
                    ownref: "", //  閸楁洘宓侀崣鍌濃偓鍐ㄥ娇		.bfdgrp.rec.ownref
                    doctypcod: "", //  閸楁洘宓佺猾璇茬€�		.bfdgrp.rec.doctypcod
                    matdat: "", //  鏉╂粍婀￠崡鏇熷祦閸掔増婀￠弮锟�		.bfdgrp.rec.matdat
                    rcvdat: "", //  閸掓澘宕熼弮銉︽埂		.bfdgrp.rec.rcvdat
                    predat: "", //  Presentation Date		.bfdgrp.rec.predat
                    docsta: "", //  閸楁洘宓侀悩鑸碘偓锟�		.bfdgrp.rec.docsta
                    nam: "", //  Externally Displayed Name to Identify the Contract		.bfdgrp.rec.nam
                },
                cbs: {
                    opn2: {
                        cur: "", //  闂勫嫬濮為柌鎴︻杺		.bfdgrp.cbs.opn2.cur
                    },
                    max: {
                        cur: "", //  閸楁洘宓侀柌鎴︻杺		.bfdgrp.cbs.max.cur
                        amt: "", //  閸楁洘宓侀柌鎴︻杺		.bfdgrp.cbs.max.amt
                    },
                    opn1: {
                        cur: "", //  閸楁洘宓佹担娆擃杺		.bfdgrp.cbs.opn1.cur
                        amt: "", //  Balance		.bfdgrp.cbs.opn1.amt
                    },
                },
                prb: {
                    pts: new Pts().data,
                },
                iss: {
                    pts: new Pts().data,
                },
                apl: {
                    pts: new Pts().data,
                },
            },
            aamset: {
                utlamt: "", //  閸楁洘宓侀柌鎴︻杺		.aamset.utlamt
                utlamt2: "", //  闂勫嫬濮為柌鎴︻杺		.aamset.utlamt2
            },
            bftp: {
                dedget: {
                    sdamod: {
                        dadsnd: "", //  Drag  Drop Sender		.bftp.dedget.sdamod.dadsnd
                        seainf: "", //  		.bftp.dedget.sdamod.seainf
                    },
                },
                recget: {
                    sdamod: {
                        dadsnd: "", //  Drag  Drop Sender		.bftp.recget.sdamod.dadsnd
                        seainf: "", //  		.bftp.recget.sdamod.seainf
                    },
                },
            },
            dedgrp: {
                rec: {
                    ownref: "", //  閸欏倽鈧啫褰�		.dedgrp.rec.ownref
                    kzref: "", //  娣囷紕鏁ょ拠浣虹椽閸欙拷		.dedgrp.rec.kzref
                },
                cbs: {
                    opn1: {
                        cur: "", //  Currency		.dedgrp.cbs.opn1.cur
                        amt: "", //  Balance		.dedgrp.cbs.opn1.amt
                    },
                },
            },
            bpdgrp: {
                rec: {
                    ffttyp: "", //  缁傚繗鍨傚鐤祮閸楁牜琚崹锟�		.bpdgrp.rec.ffttyp
                },
            },
            pageId: "", // ctx閻ㄥ埍ey
            setmod: new Pub().data.Setmod,
            trnmod: new Pub().data.Trnmod,
            liaall: new Pub().data.Liaall,
        }
    }
}