import Api from "~/service/Api"
import Utils from "~/utils"

export default {

    async onDinmodButgetref() {
        let rtnmsg = await this.executeRule("bptmod.finmod.dinmod.dget")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑
            this.model.bptmod.finmod.dinmod.dinjdm = rtnmsg.data.bptmod_finmod_dinmod_dinjdm
            this.$message({
                type: 'success',
                message: '获取成功！'
            });
        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onBptmodButgetref() {
        let rtnmsg = await this.executeRule("bptmod.butgetref")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑
            this.model.bpdgrp.rec.ownref = rtnmsg.data.bpdgrp_rec_ownref
            this.$message({
                type: 'success',
                message: '获取成功！'
            });
        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onFiapDet() {
        let rtnmsg = await this.executeRule("fiap.det")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑
            console.log(rtnmsg.data);
        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onFinmodButget() {
        let rtnmsg = await this.executeRule("finmod.butget")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onCodselSelbut() {
        let rtnmsg = await this.executeRule("codsel.selbut")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onFinmodButcal() {
        let rtnmsg = await this.executeRule("finmod.butcal")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onDinmodDget() {
        let rtnmsg = await this.executeRule("dinmod.dget")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onBu2pDet() {
        let rtnmsg = await this.executeRule("bu2p.det")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onBu3pDet() {
        let rtnmsg = await this.executeRule("bu3p.det")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onInvpDet() {
        let rtnmsg = await this.executeRule("invp.det")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onBu1pDet() {
        let rtnmsg = await this.executeRule("bu1p.det")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onBptcodSelbut1() {
        let rtnmsg = await this.executeRule("bptcod.selbut1")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onLiaallButmisamt() {
        let rtnmsg = await this.executeRule("liaall.butmisamt")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onLiaallButmissig() {
        let rtnmsg = await this.executeRule("liaall.butmissig")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onLiaccvAdd() {
        let rtnmsg = await this.executeRule("liaccv.add")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onLiaccvDel() {
        let rtnmsg = await this.executeRule("liaccv.del")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onSetmodDet() {
        let rtnmsg = await this.executeRule("setmod.det")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onSyswrnButok() {
        let rtnmsg = await this.executeRule("syswrn.butok")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onSyswrnButcan() {
        let rtnmsg = await this.executeRule("syswrn.butcan")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onTrndocButshw() {
        let rtnmsg = await this.executeRule("trndoc.butshw")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onTrndocButadd() {
        let rtnmsg = await this.executeRule("trndoc.butadd")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onTrndocButnew() {
        let rtnmsg = await this.executeRule("trndoc.butnew")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onTrndocButattto() {
        let rtnmsg = await this.executeRule("trndoc.butattto")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onTrndocButdel() {
        let rtnmsg = await this.executeRule("trndoc.butdel")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onTrndocButatt() {
        let rtnmsg = await this.executeRule("trndoc.butatt")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onWrkpDet() {
        let rtnmsg = await this.executeRule("wrkp.det")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onOthpDet() {
        let rtnmsg = await this.executeRule("othp.det")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onLimptsGet1() {
        let rtnmsg = await this.executeRule("limpts.get1")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onLimptsGet2() {
        let rtnmsg = await this.executeRule("limpts.get2")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onLimmodTrycal() {
        let rtnmsg = await this.executeRule("limmod.trycal")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onSav() {
        let rtnmsg = await this.executeRule("sav")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onChk() {
        let rtnmsg = await this.executeRule("chk")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onCutpErr() {
        let rtnmsg = await this.executeRule("cutp.err")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onCan() {
        let rtnmsg = await this.executeRule("can")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onChk() {
        let rtnmsg = await this.executeRule("chk")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },
    async onCan() {
        let rtnmsg = await this.executeRule("can")
        if (rtnmsg.respCode == SUCCESS) {
            //TODO 处理数据逻辑

        } else {
            this.$notify.error({
                title: '错误',
                message: '服务请求失败！'
            });
        }
    },

    onSeainf_bed() {

    },
    onSeainf_bpd() {

    },
    onSeainf_fpd() {

    },
    async onExtkey(e) {

    },
    onSeainf_smh() {

    },

    onSeainf() {


    },

    async onSeaParty(path) {
        let rtnmsg = await this.executeRule(path)
        if (rtnmsg.respCode == SUCCESS) {
            Utils.copyValueFromVO(this.model, rtnmsg.data);
        }

    },
    async changeExtkey() {
        let rtnmsg = await this.executeRule("didgrp.iss.pts.extkey")
        if (rtnmsg.respCode == SUCCESS) {
            Utils.copyValueFromVO(this.model, rtnmsg.data);
        }
    }
}