import Utils from "~/utils"

/**
* Brtset Check规则
*/
let checkObj = {
    "liaall.misamt"                      :null,
    "brdgrp.prb.adrelc"                      :null,
    "cnybop.outflg"                      :null,
    "cfatrt.cfaflg"                      :null,
    "brdgrp.prb.pts.adrblk"                      :null,
    "liaall.limmod.limpts.oth.pts.nam"                      :null,
    "setmod.dspflg"                      :null,
    "cfatrt.ownextkey"                      :null,
    "liaall.liaccv.totcovamt"                      :null,
    "cfabrt.ownextkey"                      :null,
    "cfabrt.cfaflg"                      :null,
    "cfatrt.cda.useofunds"                      :null,
    "liaall.limmod.limpts.wrk.pts.nam"                      :null,
    "cnybop.cnyflg"                      :null,
    "cfatrt.cda.cfeogudamount"                      :null,
    "brdgrp.prb.pts.ref"                      :null,
    "brdgrp.apl.pts.nam"                      :null,
    "cfadft.ownextkey"                      :null,
    "brtp.ischktyp"                      :null,
    "hmdmod2.bennam"                      :null,
    "trnmod.swftyp"                      :null,
    "liaall.limmod.limpts.oth.pts.extkey"                      :null,
    "liaall.limmod.ownref"                      :null,
    "liaall.limmod.ecifno"                      :null,
    "bopmod.szflg"                      :null,
    "brdgrp.cbs.max.amt"                      :null,
    "cfadft.cfaflg"                      :null,
    "cnybop.traflg"                      :null,
    "brdgrp.prb.namelc"                      :null,
    "brtp.prechkdat"                      :null,
    "brdgrp.prb.pts.nam"                      :null,
    "liaall.tenstm"                      :null,
    "brdgrp.ben.pts.nam"                      :null,
    "setmod.redamt"                      :null,
    "aamset.utlamt2"                      :null,
    "brdgrp.prb.pts.extkey"                      :null,
    "trnmod.cmtflg"                      :null,
    "liaall.limmod.limpts.wrk.pts.extkey"                      :null,
    "bopmod.basflg"                      :null,
    "brdgrp.rec.frepayflg"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "liaall.limmod.limpts.nonrevflg1"                      :null,
    "cnybop.libflg"                      :null,
    "bopmod.ownextkey"                      :null,
    "cfatrt.cda.cfeogudcurr"                      :null,
    "setmod.docamt"                      :null,
    "liaall.liaccv.cshpct"                      :null,
    "bopmod.acttyp"                      :null,
    "liaall.liaccv.relcshpct"                      :null,
    "mtabut.clsflg"                      :null,
    "cnybop.vouflg"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

