import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"   //引入公共面板

export default class Brtudp {
  constructor() {
    this.data = {
      //加入引入的公共面板的字段
      trnmod: new Pub().data.Trnmod,//面函
      brtrogl1blk:"",
      brta2bl1blk:"",
      brtapll3blk:"",
      brtapll1blk:"",
      brtapll2blk:"",
      brtprbl1blk:"",
      brtrogl2blk:"",
      brtapll4blk:"",
      brtrogl3blk:"",
      brtprbl2blk:"",
      setmod: new Pub().data.Setmod,//帐务、分录
      liaall: new Pub().data.Liaall,//表外
      mtabut: new Pub().data.Mtabut,//附言
      
      


      brdgrp: {
        rec: {
          ownref: "",			//  单据参考号		.brdgrp.rec.ownref
          nam: "",			//  Name of Bill Contract		.brdgrp.rec.nam
          rcvdat: "",			//  Received on		.brdgrp.rec.rcvdat
          advdat: "",			//  到单日期		.brdgrp.rec.advdat
          docflg: "",			//  Document Condition		.brdgrp.rec.docflg
          docsta: "",			//  单据状态		.brdgrp.rec.docsta
          matdat: "",			//  Maturity Date		.brdgrp.rec.matdat
          tenmaxday: "",			//  单据类型		.brdgrp.rec.tenmaxday
          stadat: "",			//  远期单据到期日		.brdgrp.rec.stadat
          predat: "",			//  Presentation Date		.brdgrp.rec.predat
          docprbrol: "",			//  Presented by		.brdgrp.rec.docprbrol
          payrol: "",			//  Select MT to be sent to presenting bank		.brdgrp.rec.payrol
          igndisflg: "",			//  Ignore Discrepancies		.brdgrp.rec.igndisflg
          advtyp: "",			//  Type of Advice Received		.brdgrp.rec.advtyp
          totdat: "",			//  付款日期		.brdgrp.rec.totdat
          disdat: "",			//  Discrepancy Advice Dated		.brdgrp.rec.disdat
          approvcod: "",			//  Documents on Approval Basis		.brdgrp.rec.approvcod
          totcur:"",			//  Total Amount Claimed		.brdgrp.rec.totcur
					totamt:"",			//  Total Amount to be Paid		.brdgrp.rec.totamt
        },
        cbs: {
          max: {
            cur: "",			//  单据金额		.brdgrp.cbs.max.cur
            amt: "",			//  单据金额		.brdgrp.cbs.max.amt
          },
          opn1: {
            cur: "",			//  单据余额		.brdgrp.cbs.opn1.cur
            amt: "",			//  Balance		.brdgrp.cbs.opn1.amt
          },
          opn2: {
            cur: "",			//  附加金额		.brdgrp.cbs.opn2.cur
          },
          max2:{
            amt:"",			//  附加金额		.brdgrp.cbs.max2.amt
          },
        },
        apl: {
          pts: new Pts().data,
        },
        ben: {
          pts: new Pts().data,
        },
        prb: {
          pts: new Pts().data,
          namelc: "",			//  名称		.brdgrp.prb.namelc
          adrelc: "",			//  地址		.brdgrp.prb.adrelc
          dbfadrblkcn: "",			//  Chinese address		.brdgrp.prb.dbfadrblkcn
        },
        tag72add: "",			//  TAG72		.brdgrp.tag72add
        blk: {
          comcon: "",			//  Comments and Conclusions		.brdgrp.blk.comcon
          setinsbr: "",			//  Settlement Instructions BR		.brdgrp.blk.setinsbr
          docdis: "",			//  Discrepancies		.brdgrp.blk.docdis
          docdisflg: "",			//  discrepancies modified		.brdgrp.blk.docdisflg
          chaded:"",			//  Charges Deducted		.brdgrp.blk.chaded
					chaadd:"",			//  Charges		.brdgrp.blk.chaadd
					nartxt77a:"",			//  Narrative TAG 77A of MT754		.brdgrp.blk.nartxt77a
        },
        acb:{
          pts:new Pts().data,
          namelc:"",			//  名称		.brdgrp.acb.namelc
          adrelc:"",			//  地址		.brdgrp.acb.adrelc
          dbfadrblkcn:"",			//  Chinese address		.brdgrp.acb.dbfadrblkcn
        },
        rmb:{
          pts:new Pts().data,
          namelc:"",			//  名称		.brdgrp.rmb.namelc
          adrelc:"",			//  地址		.brdgrp.rmb.adrelc
          dbfadrblkcn:"",			//  Chinese address		.brdgrp.rmb.dbfadrblkcn
        },
        beb:{
          pts:new Pts().data,
          namelc:"",			//  名称		.brdgrp.beb.namelc
          adrelc:"",			//  地址		.brdgrp.beb.adrelc
          dbfadrblkcn:"",			//  Chinese address		.brdgrp.beb.dbfadrblkcn
        },
      },
      lidgrp: {
        rec: {
          ownref: "",			//  信用证编号		.lidgrp.rec.ownref
          expdat: "",			//  Date of Expiry		.lidgrp.rec.expdat
        },
        cbs: {
          opn1: {
            cur: "",			//  Currency		.lidgrp.cbs.opn1.cur
            amt: "",			//  Balance		.lidgrp.cbs.opn1.amt
          },
        },
      },
      brtp: {
        lidget: {
          sdamod: {
            seainf: "",			//  		.brtp.lidget.sdamod.seainf
            dadsnd: "",			//  Drag  Drop Sender		.brtp.lidget.sdamod.dadsnd
          },
        },
        recget: {
          sdamod: {
            dadsnd: "",			//  Drag  Drop Sender		.brtp.recget.sdamod.dadsnd
            seainf: "",			//  		.brtp.recget.sdamod.seainf
          },
        },
        matp: {
          mattxtlab: "",			//  Label for MATTXT		.brtp.matp.mattxtlab
        },
        prbp: {
          ptsget: {
            sdamod: {
              seainf: "",			//  		.brtp.prbp.ptsget.sdamod.seainf
              dadsnd: "",			//  Drag  Drop Sender		.brtp.prbp.ptsget.sdamod.dadsnd
            },
          },
        },
        oth: {
          pts: new Pts().data,
          namelc: "",			//  名称		.brtp.oth.namelc
          adrelc: "",			//  地址		.brtp.oth.adrelc
          dbfadrblkcn: "",			//  Chinese address		.brtp.oth.dbfadrblkcn
        },
        othp: {
          ptsget: {
            sdamod: {
              seainf: "",			//  		.brtp.othp.ptsget.sdamod.seainf
              dadsnd: "",			//  Drag  Drop Sender		.brtp.othp.ptsget.sdamod.dadsnd
            },
          },
        },
        docgrdm: {
          docdsclab: "",			//  Label of document description		.brtp.docgrdm.docdsclab
          docgrd: "",                    //brtp.docgrdm.docgrd
        },
        cre752flg: "",			//  Create 752		.brtp.cre752flg
        furide: "",			//  Further Identification		.brtp.furide
        cre732flg: "",			//  Create MT 732		.brtp.cre732flg
        acbp:{
          ptsget:{
            sdamod:{
              seainf:"",			//  		.brtp.acbp.ptsget.sdamod.seainf
              dadsnd:"",			//  Drag  Drop Sender		.brtp.acbp.ptsget.sdamod.dadsnd
            },
          },
        },
        rmbp:{
          ptsget:{
            sdamod:{
              seainf:"",			//  		.brtp.rmbp.ptsget.sdamod.seainf
              dadsnd:"",			//  Drag  Drop Sender		.brtp.rmbp.ptsget.sdamod.dadsnd
            },
          },
        },
        bebp:{
          ptsget:{
            sdamod:{
              seainf:"",			//  		.brtp.bebp.ptsget.sdamod.seainf
              dadsnd:"",			//  Drag  Drop Sender		.brtp.bebp.ptsget.sdamod.dadsnd
            },
          },
        },
      },
      aamset: {
        utlamt: "",			//  单据金额		.aamset.utlamt
        utlamt2: "",			//  附加金额		.aamset.utlamt2
      },
      // setmod: {
      //   docamt: "",			//  document amount		.setmod.docamt
      //   doccur: "",			//  document currency		.setmod.doccur
      //   docamttyplab: "",			//  settled amount description as label		.setmod.docamttyplab
      //   retmsg: "",			//  Label showing Retry overflow condition		.setmod.retmsg
      //   ref: "",			//  our reference		.setmod.ref
      //   dspflg: "",			//  Type of settlement		.setmod.dspflg
      //   xreflg: "",			//  Recalculate Rates		.setmod.xreflg
      //   setglg: {
      //     labdspflg: "",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
      //   },
      //   zmqacclab: "",			//  主�'�号LABEL		.setmod.zmqacclab
      //   zmqacc: "",			//  自�'�区主�'�号		.setmod.zmqacc
      //   glemod: {
      //     gleshwstm: "",			//  Booking stream to Display		.setmod.glemod.gleshwstm
      //   },
      // },
      sftmt: "",			//  Which MT		.sftmt
      // liaall: {
      //   misamt: "",			//  Amount not yet assigned		.liaall.misamt
      //   concur: "",			//  External Booking Amount		.liaall.concur
      //   outpct: "",			//  Sight Amount Percentage		.liaall.outpct
      //   outamt: "",			//  Sight Amount		.liaall.outamt
      //   exttotoldamt: "",			//  Old Amount booked externally		.liaall.exttotoldamt
      //   exttotamt: "",			//  Total booking amount external assinged		.liaall.exttotamt
      //   liaccv: {
      //     newamt: "",			//  合同金额		.liaall.liaccv.newamt
      //     concur: "",			//  应付保证金金额		.liaall.liaccv.concur
      //     totcovamt: "",			//  金额总和		.liaall.liaccv.totcovamt
      //     newresamt: "",			//  Reserved Amount		.liaall.liaccv.newresamt
      //     addinf: "",			//  Additional Information 		.liaall.liaccv.addinf
      //     cshpct: "",			//  保证金应收比例		.liaall.liaccv.cshpct
      //     relcshpct: "",			//  保证金实收比例		.liaall.liaccv.relcshpct
      //     gleflg: "",			//  Create gle flag		.liaall.liaccv.gleflg
      //     chgcurflg: "",			//  Change currency flag		.liaall.liaccv.chgcurflg
      //     pctresamt: "",			//  reserve amount based percent		.liaall.liaccv.pctresamt
      //   },
      //   limmod: {
      //     limpts: {
      //       wrklab: "",			//  Label		.liaall.limmod.limpts.wrklab
      //       othlab: "",			//  Label		.liaall.limmod.limpts.othlab
      //       othlabss: "",			//  Label		.liaall.limmod.limpts.othlabss
      //       wrk: {
      //         pts: new Pts().data,
      //       },
      //       oth: {
      //         pts: new Pts().data,
      //       },
      //       lsh: "",			//  合同流�'号		.liaall.limmod.limpts.lsh
      //       nonrevflg1: "",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg1
      //       pfcod1: "",			//  合同流�'号		.liaall.limmod.limpts.pfcod1
      //       nonrevflg2: "",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg2
      //       pfcod2: "",			//  合同流�'号		.liaall.limmod.limpts.pfcod2
      //     },
      //     wrkp: {
      //       ptsget: {
      //         sdamod: {
      //           dadsnd: "",			//  Drag  Drop Sender		.liaall.limmod.wrkp.ptsget.sdamod.dadsnd
      //           seainf: "",			//  		.liaall.limmod.wrkp.ptsget.sdamod.seainf
      //         },
      //       },
      //     },
      //     othp: {
      //       ptsget: {
      //         sdamod: {
      //           dadsnd: "",			//  Drag  Drop Sender		.liaall.limmod.othp.ptsget.sdamod.dadsnd
      //           seainf: "",			//  		.liaall.limmod.othp.ptsget.sdamod.seainf
      //         },
      //       },
      //     },
      //     ownref: "",			//  国结业务编号		.liaall.limmod.ownref
      //     comamt: "",			//  业务余额		.liaall.limmod.comamt
      //     ccvamt: "",			//  保证金余额		.liaall.limmod.ccvamt
      //     ecifno: "",			//  ECIFNO		.liaall.limmod.ecifno
      //   },
      // },
      // mtabut: {
      //   coninf: {
      //     oitinf: {
      //       labinftxt: "",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
      //       oit: {
      //         inftxt: "",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
      //         inflev: "",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
      //       },
      //     },
      //     oitset: {
      //       labinftxt: "",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
      //       oit: {
      //         inftxt: "",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
      //         inflev: "",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
      //       },
      //     },
      //     conexedat: "",			//  执行日期		.mtabut.coninf.conexedat
      //     usr: {
      //       extkey: "",			//  User ID		.mtabut.coninf.usr.extkey
      //     },
      //   },
      // },
      // trnmod: {
      //   trndoc: {
      //     advlabel: "",			//  ADVLABEL		.trnmod.trndoc.advlabel
      //     amdnam: "",			//  AMDNAM		.trnmod.trndoc.amdnam
      //     advdoc: "",			//  国内证通知书		.trnmod.trndoc.advdoc
      //     advnam: "",			//  国内证落款		.trnmod.trndoc.advnam
      //     amdapl: "",			//  修改申请人名称		.trnmod.trndoc.amdapl
      //     doclbl: "",			//  Lable for CONDOCSTM		.trnmod.trndoc.doclbl
      //     doctrestm: "",			//  Document tree		.trnmod.trndoc.doctrestm
      //     shwinc: "",			//  Show Incoming Messages		.trnmod.trndoc.shwinc
      //     shwout: "",			//  Show Outgoing Messages		.trnmod.trndoc.shwout
      //     condocstm: "",			//  Connected Documents		.trnmod.trndoc.condocstm
      //     rcvatt: {
      //       seainf: "",			//  		.trnmod.trndoc.rcvatt.seainf
      //     },
      //     filrecv: "",			//  File Receiver		.trnmod.trndoc.filrecv
      //   },
      // },
      cfabrt: {
        cfaflg: "",			//  数据采集标志		.cfabrt.cfaflg
        basflg: "",			//  签约信息		.cfabrt.basflg
        ownextkey: "",			//  地区机构号		.cfabrt.ownextkey
        dclflg: "",			//  变动信息		.cfabrt.dclflg
        cfabrttxt: "",			//  不报送原因		.cfabrt.cfabrttxt
      },
      pageId: ""			// ctx的key
    }
  }
}