
/**
* Cptati Default规则
*/
import Api from "~/service/Api";
import Utils from "~/utils/index"

export default {
    "cpdgrp.rmt.pts.adrblk"                      :Utils.defaultFunction,
    "attp.commet"                      :Utils.defaultFunction,
    "attp.comsystbl"                      :Utils.defaultFunction,
    "cpdgrp.orc.pts.adrblk"                      :Utils.defaultFunction,
    "cpdgrp.orc.dbfadrblkcn"                      :Utils.defaultFunction,
    "attp.payuil"                      :Utils.defaultFunction,
    "trnmod.trndoc.doccur.roladr"                      :Utils.defaultFunction,
    "cpdgrp.pye.pts.adrblk"                      :Utils.defaultFunction,
    "cpdgrp.pyb.pts.adrblk"                      :Utils.defaultFunction,
    "cpdgrp.rmt.pts.extkey"                      :Utils.defaultFunction,
    "cpdgrp.rmt.adrelc"                      :Utils.defaultFunction,
    "cpdgrp.rmt.namelc"                      :Utils.defaultFunction,
    "cpdgrp.rmt.dbfadrblkcn"                      :Utils.defaultFunction,
    "cpdgrp.med.pts.extkey"                      :Utils.defaultFunction,
    "setmod.doccur"                      :Utils.defaultFunction,
    "setmod.dspflg"                      :Utils.defaultFunction,
    "setmod.docamt"                      :Utils.defaultFunction,
    "cpdgrp.cbs.max.amt"                      :Utils.defaultFunction,
    "cpdgrp.cbs.max.cur"                      :Utils.defaultFunction,
    "trnmod.trndoc.condocstm"                      :Utils.defaultFunction,
    "trnmod.trndoc.shwinc"                      :Utils.defaultFunction,
    "trnmod.trndoc.shwout"                      :Utils.defaultFunction,
    "trnmod.trndoc.doccur.rcv.pts.extkey"                      :Utils.defaultFunction,
    "cpdgrp.rec.ownref"                      :Utils.defaultFunction,
    "trnmod.trndoc.doccur.rcv.adrelc"                      :Utils.defaultFunction,
    "trnmod.trndoc.doccur.rcv.namelc"                      :Utils.defaultFunction,
    "trnmod.trndoc.doccur.rcv.dbfadrblkcn"                      :Utils.defaultFunction,
    "bopmod.szflg"                      :Utils.defaultFunction,
    "bopmod.basflg"                      :Utils.defaultFunction,
    "cpdgrp.pyb.pts.extkey"                      :Utils.defaultFunction,
    "cpdgrp.pye.pts.extkey"                      :Utils.defaultFunction,
    "cpdgrp.med.adrelc"                      :Utils.defaultFunction,
    "cpdgrp.med.namelc"                      :Utils.defaultFunction,
    "cpdgrp.med.dbfadrblkcn"                      :Utils.defaultFunction,
    "mtabut.coninf.usr.extkey"                      :Utils.defaultFunction,
    "cpdgrp.cbs.nom1.cur"                      :Utils.defaultFunction,
    "trnmod.trndoc.doccur.supcovflg"                      :Utils.defaultFunction,
    "trnmod.trndoc.doccur.cortyp"                      :Utils.defaultFunction,
    "trnmod.trndoc.doccur.addstr"                      :Utils.defaultFunction,
    "trnmod.trndoc.doccur.addtxt"                      :Utils.defaultFunction,
    "cpdgrp.ori.pts.extkey"                      :Utils.defaultFunction,
    "cpdgrp.ori.adrelc"                      :Utils.defaultFunction,
    "cpdgrp.ori.namelc"                      :Utils.defaultFunction,
    "cpdgrp.ori.dbfadrblkcn"                      :Utils.defaultFunction,
    "bopmod.vrfflg"                      :Utils.defaultFunction,
    "bopmod.dclflg"                      :Utils.defaultFunction,
    "cpdgrp.rec.othbch"                      :Utils.defaultFunction,
    "cpdgrp.ori.pts.adrblk"                      :Utils.defaultFunction,
    "cpdgrp.orc.pts.extkey"                      :Utils.defaultFunction,
    "cpdgrp.pyb.adrelc"                      :Utils.defaultFunction,
    "cpdgrp.pyb.namelc"                      :Utils.defaultFunction,
    "cpdgrp.pyb.dbfadrblkcn"                      :Utils.defaultFunction,
    "attp.feetyp"                      :Utils.defaultFunction,
    "cpdgrp.orc.adrelc"                      :Utils.defaultFunction,
    "cpdgrp.orc.namelc"                      :Utils.defaultFunction,
    "cpdgrp.pye.adrelc"                      :Utils.defaultFunction,
    "cpdgrp.pye.namelc"                      :Utils.defaultFunction,
    "cpdgrp.pye.dbfadrblkcn"                      :Utils.defaultFunction,
    "trnmod.trndoc.doccur.adrbicaut"                      :Utils.defaultFunction,
    "trnmod.trndoc.doccur.rcv.pts.bankno"                      :Utils.defaultFunction,
    "trnmod.trndoc.doccur.rcv.pts.adrblk"                      :Utils.defaultFunction,
    "cpdgrp.med.pts.adrblk"                      :Utils.defaultFunction,
    "cpdgrp.cbs.nom1.amt"                      :Utils.defaultFunction,
    "attp.com102"                      :Utils.defaultFunction,
    "attp.xnggbh"                      :Utils.defaultFunction,
    "attp.country"                      :Utils.defaultFunction,
    "attp.swftyp"                      :Utils.defaultFunction,
    "cpdgrp.rec.trntyp"                      :Utils.defaultFunction,
    "attp.sndbchnam"                      :Utils.defaultFunction,
    "trnmod.trndoc.doccur.adrbic"                      :Utils.defaultFunction,
    "mtabut.coninf.oitinf.oit.inftxt"                      :Utils.defaultFunction,
    "mtabut.coninf.oitinf.oit.inflev"                      :Utils.defaultFunction,
    "mtabut.coninf.conexedat"                      :Utils.defaultFunction,
    "trnmod.trndoc.doccur.apf"                      :Utils.defaultFunction,
    "lendoc.actflg"                      :Utils.defaultFunction,
    "attp.resbchnam"                      :Utils.defaultFunction,
    "mtabut.coninf.oitset.oit.inftxt"                      :Utils.defaultFunction,
    "mtabut.coninf.oitset.oit.inflev"                      :Utils.defaultFunction,
    "attp.paycountcode"                      :Utils.defaultFunction,
}
//你可以添加自动default处理
