import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"

export default class Gitcom{
    constructor () {
        this.data = {
						gitp0:{
							explab:"",			//  Label unlimited Validity		.gitp0.explab
							lialab:"",			//  Label unlimited lLability		.gitp0.lialab
							aplmullab:"",			//  Label, that is set, if there are multiple applicants		.gitp0.aplmullab
							expfldlab:"",			//  Label for Field Validity		.gitp0.expfldlab
							liafldlab:"",			//  Label for Field Lability		.gitp0.liafldlab
							recget:{
								sdamod:{
									seainf:"",			//  		.gitp0.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.gitp0.recget.sdamod.dadsnd
								},
							},
						},
						gidgrp:{
							rec:{
								ownref:"",			//  Reference		.gidgrp.rec.ownref
								nam:"",			//  Externally Displayed Name to Identify the Contract		.gidgrp.rec.nam
								hndtyp:"",			//  Handling Type		.gidgrp.rec.hndtyp
								gartyp:"",			//  Type of Undertaking		.gidgrp.rec.gartyp
								expdat:"",			//  Valid until		.gidgrp.rec.expdat
								liadat:"",			//  Liability until		.gidgrp.rec.liadat
							},
							cbs:{
								max:{
									cur:"",			//  Currency		.gidgrp.cbs.max.cur
									amt:"",			//  Balance		.gidgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  Currency		.gidgrp.cbs.opn1.cur
									amt:"",			//  Balance		.gidgrp.cbs.opn1.amt
								},
							},
							apl:{
								pts:new Pts().data,
							},
							ben:{
								pts:new Pts().data,
							},
							ctr:{
								pts:new Pts().data,
							},
							iss:{
								pts:new Pts().data,
							},
						},
						pageId: ""	,		// ctx的key
						setmod: new Pub().data.Setmod,
						mtabut: new Pub().data.Mtabut,
						trnmod: new Pub().data.Trnmod,
						liaall: new Pub().data.Liaall,
				}
    }
}