import Utils from "~/utils"

/**
* Gitopn Check规则
*/
let checkObj = {
    "cfagit.recgrp.bas.guappnamen"                      :null,
    "gidgrp.bec.pts.extkey"                      :null,
    "cnybop.cnyvou.cvouchdirection"                      :null,
    "gidgrp.blk.gidtxt"                      :null,
    "gidgrp.avc.pts.extkey"                      :null,
    "cnybop.cnyvou.currencycode"                      :null,
    "gidgrp.rec.tenref"                      :null,
    "gidgrp.rec.giduil"                      :null,
    "cnybop.cnyvou.dvouchenddate"                      :null,
    "cnybop.cnyvou.dvouchefficientdate"                      :null,
    "gidgrp.rec.gartyp"                      :null,
    "gidgrp.rec.jurlaws20"                      :null,
    "cfagit.recgrp.bas.maindebtmaturity"                      :null,
    "gitp.aamp.aammod.addamtflg"                      :null,
    "gidgrp.ben.pts.adrblk"                      :null,
    "gidgrp.blk.atxexptxt"                      :null,
    "gidgrp.atb.pts.adrblk"                      :null,
    "cnybop.svoucheename"                      :null,
    "cnybop.cnyvou.sbankorgcode"                      :null,
    "gidgrp.con.pts.adrblk"                      :null,
    "cnybop.outflg"                      :null,
    "cfagit.cfaflg"                      :null,
    "cfagit.recgrp.bas.guarantorcode"                      :null,
    "cfagit.recp.pubp.founds1"                      :null,
    "cfagit.recp.pubp.founds4"                      :null,
    "cfagit.recp.pubp.founds5"                      :null,
    "cfagit.recp.pubp.founds2"                      :null,
    "cfagit.recp.pubp.founds3"                      :null,
    "cfagit.recp.pubp.founds8"                      :null,
    "cfagit.recp.pubp.founds6"                      :null,
    "cfagit.recp.pubp.founds7"                      :null,
    "gitp.liatxtcmodflg"                      :null,
    "gidgrp.rec.orcamt"                      :null,
    "addbcb.gitamecho"                      :null,
    "gidgrp.apc.namelc"                      :null,
    "gidgrp.ben.adrelc"                      :null,
    "cnybop.cnyvou.svoucheecountrycode"                      :null,
    "gitp.usr.extkey"                      :null,
    "gitp.covgodsrvcmodflg"                      :null,
    "gidgrp.avc.pts.nam"                      :null,
    "addbcb.expdat"                      :null,
    "gidgrp.rec.exptyp"                      :null,
    "cfagit.recp.pubp.cousel1.guedparecompcode"                      :null,
    "gidgrp.ctr.pts.extkey"                      :null,
    "gidgrp.cnr.pts.extkey"                      :null,
    "cfagit.recgrp.bas.bename"                      :null,
    "gidgrp.rec.cfaguatyp"                      :null,
    "gidgrp.rec.liadat"                      :null,
    "gitp.gidtxtmodflgc"                      :null,
    "cfagit.recgrp.bas.cgcouncode"                      :null,
    "gidgrp.ctc.adrelc"                      :null,
    "gidgrp.blk.orcplcc"                      :null,
    "gidgrp.rec.sndto"                      :null,
    "gidgrp.con.adrelc"                      :null,
    "cfagit.recgrp.bas.jwyn"                      :null,
    "gidgrp.rec.guaflg"                      :null,
    "gidgrp.ctc.pts.extkey"                      :null,
    "gidgrp.blk.liatxtc"                      :null,
    "gidgrp.blk.feetxtc"                      :null,
    "gitp.exptxtmodflg"                      :null,
    "cnybop.cnyflg"                      :null,
    "gidgrp.rec.gtxinr"                      :null,
    "cfagit.recgrp.bas.contractdate"                      :null,
    "cfagit.recgrp.bas.maindebtmanner"                      :null,
    "gidgrp.rec.vrfdat"                      :null,
    "gidgrp.rec.tendat"                      :null,
    "gidgrp.rec.purpos"                      :null,
    "gidgrp.gidcxm.cxmflg"                      :null,
    "cfagit.recgrp.bas.guedname"                      :null,
    "addbcb.pwtyp9"                      :null,
    "gidgrp.rec.autrnwflg"                      :null,
    "gidgrp.ctc.namelc"                      :null,
    "gidgrp.rec.legfrm"                      :null,
    "gidgrp.rec.tenclsdatc"                      :null,
    "gidgrp.apl.pts.extkey"                      :null,
    "cfagit.recgrp.bas.thje"                      :null,
    "cfagit.recgrp.bas.guedparecompnamen"                      :null,
    "cfagit.recgrp.bas.cgyn"                      :null,
    "gidgrp.apl.namelc"                      :null,
    "gidgrp.rec.accc"                      :null,
    "gidgrp.rec.liatypc"                      :null,
    "gidgrp.rec.autrnwflgc"                      :null,
    "gidgrp.blk.orcplc"                      :null,
    "gidgrp.atb.adrelc"                      :null,
    "cfagit.recgrp.bas.guedparecompname"                      :null,
    "gidgrp.rec.revflg"                      :null,
    "gidgrp.blk.addinf"                      :null,
    "gidgrp.cnr.namelc"                      :null,
    "gidgrp.rec.opndat"                      :null,
    "cnybop.cnyvou.sdebtorcountrycode"                      :null,
    "gidgrp.iss.adrelc"                      :null,
    "gidgrp.rec.hndtyp"                      :null,
    "gidgrp.rec.orcrefc"                      :null,
    "gidgrp.adv.namelc"                      :null,
    "gidgrp.rec.partcon"                      :null,
    "cfagit.recgrp.bas.guedcode"                      :null,
    "cfagit.recgrp.bas.guedindustrycode"                      :null,
    "cfagit.recgrp.bas.guappname"                      :null,
    "cfagit.recgrp.bas.cgname"                      :null,
    "cnybop.cnyvou.fvouchamt"                      :null,
    "addbcb.bcbtyp7"                      :null,
    "gitp.swiftflg"                      :null,
    "gidgrp.bdb.pts.extkey"                      :null,
    "gidgrp.iss.pts.adrblk"                      :null,
    "gidgrp.blk.atxpreperc"                      :null,
    "gidgrp.apc.pts.adrblk"                      :null,
    "cfagit.recgrp.bas.bencountrycode"                      :null,
    "gidgrp.adv.pts.adrblk"                      :null,
    "gidgrp.rec.orcref"                      :null,
    "cfagit.recgrp.bas.intrat"                      :null,
    "gidgrp.bec.pts.adrblk"                      :null,
    "cfagit.recgrp.bas.issuecountrycode"                      :null,
    "gidgrp.ctr.namelc"                      :null,
    "cfagit.recgrp.bas.cgcode"                      :null,
    "gidgrp.blk.atxpreper"                      :null,
    "gidgrp.rec.orcdatc"                      :null,
    "gidgrp.rec.orcamtc"                      :null,
    "cfagit.recgrp.bas.bentype"                      :null,
    "gidgrp.con.pts.extkey"                      :null,
    "gidgrp.rec.tenclsdat"                      :null,
    "gidgrp.cbs.mac.cur"                      :null,
    "gidgrp.blk.gtxgidtxtc"                      :null,
    "gidgrp.blk.deltoadr"                      :null,
    "gidgrp.rec.tendatc"                      :null,
    "gidgrp.cbs.cnf.amt"                      :null,
    "cfagit.recgrp.bas.actiondesc"                      :null,
    "gidgrp.blk.gtxgidtxt"                      :null,
    "gidgrp.rec.cnfdet"                      :null,
    "cfagit.recgrp.bas.maindebtdate"                      :null,
    "gidgrp.rec.fingua"                      :null,
    "gidgrp.bdb.adrelc"                      :null,
    "gidgrp.ctr.adrelc"                      :null,
    "gidgrp.blk.covgodsrv"                      :null,
    "gidgrp.blk.atxcovgodsrv"                      :null,
    "cfagit.recgrp.bas.guednamen"                      :null,
    "gidgrp.cnr.adrelc"                      :null,
    "gidgrp.con.namelc"                      :null,
    "cfagit.recgrp.bas.guedtype"                      :null,
    "gitp.covgodsrvmodflg"                      :null,
    "gidgrp.rec.orcrat"                      :null,
    "gidgrp.rec.jurlawc"                      :null,
    "gidgrp.ben.namelc"                      :null,
    "addbcb.litameadv"                      :null,
    "gidgrp.cbs.max.cur"                      :null,
    "gidgrp.ghd.aplnam"                      :null,
    "gidgrp.rec.cunqii"                      :null,
    "gidgrp.rec.expflg"                      :null,
    "gidgrp.bec.adrelc"                      :null,
    "cnybop.traflg"                      :null,
    "cnybop.cnyvou.sreversecountrycode"                      :null,
    "gidgrp.blk.gartyptxtc"                      :null,
    "gidgrp.cnr.pts.adrblk"                      :null,
    "cnybop.sbankname"                      :null,
    "cnybop.cnyvou.svouchercountrycode"                      :null,
    "gidgrp.gidcxm.warran"                      :null,
    "gidgrp.apl.pts.ref"                      :null,
    "gidgrp.ctr.pts.adrblk"                      :null,
    "gidgrp.rec.jurplcc"                      :null,
    "gidgrp.cbs.mac.amt"                      :null,
    "addbcb.label5"                      :null,
    "gidgrp.atb.namelc"                      :null,
    "cfagit.recgrp.bas.guarancurr"                      :null,
    "cnybop.sdebtorname"                      :null,
    "gidgrp.ghd.bustyp"                      :null,
    "gidgrp.rec.legfrmc"                      :null,
    "gidgrp.rec.orddat"                      :null,
    "gidgrp.ctc.pts.adrblk"                      :null,
    "gidgrp.blk.covgodsrvc"                      :null,
    "cfagit.recgrp.bas.maindebtcondate"                      :null,
    "gidgrp.rec.orcdat"                      :null,
    "gidgrp.apc.adrelc"                      :null,
    "gidgrp.rec.stacty"                      :null,
    "gidgrp.blk.gidtxtc"                      :null,
    "cnybop.cnyvou.stransattr"                      :null,
    "gidgrp.blk.exptxt"                      :null,
    "gidgrp.atb.pts.extkey"                      :null,
    "gidgrp.blk.atxliatxtc"                      :null,
    "gidgrp.blk.addinfc"                      :null,
    "gitp.inccormsgflg"                      :null,
    "gidgrp.rec.jurplc"                      :null,
    "cfagit.recgrp.bas.maindebtamount"                      :null,
    "gidgrp.rec.mannum"                      :null,
    "gidgrp.blk.apprul"                      :null,
    "gidgrp.apl.pts.adrblk"                      :null,
    "gidgrp.rec.gartypc"                      :null,
    "gidgrp.rec.juscod"                      :null,
    "gidgrp.bec.namelc"                      :null,
    "gidgrp.rec.bngcod"                      :null,
    "gidgrp.rec.orcratc"                      :null,
    "gidgrp.rec.jurlaw"                      :null,
    "gidgrp.rec.acc"                      :null,
    "addbcb.ameadvrmk"                      :null,
    "gidgrp.rec.inudat"                      :null,
    "gidgrp.ghd.segtyp"                      :null,
    "gitp.prepercmodflg"                      :null,
    "cfagit.recgrp.bas.cgnamen"                      :null,
    "gidgrp.blk.deltoadrc"                      :null,
    "cnybop.saddwordvou"                      :null,
    "cfagit.recgrp.bas.thyn"                      :null,
    "gidgrp.iss.pts.ref"                      :null,
    "cnybop.svouchername"                      :null,
    "cfagit.recgrp.bas.guaranamount"                      :null,
    "addbcb.preexpdat"                      :null,
    "cnybop.libflg"                      :null,
    "gitp.gidtxtmodflg"                      :null,
    "cfagit.ownextkey"                      :null,
    "gidgrp.blk.apprultxtc"                      :null,
    "gidgrp.blk.feetxt"                      :null,
    "cnybop.cnyvou.cvouchtype"                      :null,
    "addbcb.bccls2"                      :null,
    "addbcb.bccls1"                      :null,
    "addbcb.bccls4"                      :null,
    "addbcb.bccls3"                      :null,
    "gitp.prepermodflg"                      :null,
    "gidgrp.bdb.namelc"                      :null,
    "gidgrp.gidcxm.benefi"                      :null,
    "gidgrp.rec.expdat"                      :null,
    "gidgrp.blk.preperc"                      :null,
    "cfagit.recgrp.bas.benamen"                      :null,
    "gidgrp.rec.tenrefc"                      :null,
    "cfagit.recgrp.bas.maindebtcurr"                      :null,
    "gidgrp.rec.trmdat"                      :null,
    "gidgrp.rec.ownref"                      :null,
    "cfagit.recgrp.bas.guarantype"                      :null,
    "gidgrp.blk.preper"                      :null,
    "cfagit.recgrp.bas.guedcouncode"                      :null,
    "gidgrp.blk.atxcovgodsrvc"                      :null,
    "cnybop.cnyvou.scontractno"                      :null,
    "gidgrp.apl.adrelc"                      :null,
    "gidgrp.rec.trmdatc"                      :null,
    "gidgrp.adv.adrelc"                      :null,
    "gidgrp.blk.apprultxt"                      :null,
    "cfagit.recgrp.bas.bencode"                      :null,
    "gidgrp.ghd.wahnum"                      :null,
    "gidgrp.apc.pts.extkey"                      :null,
    "cfagit.recgrp.bas.maturity"                      :null,
    "gidgrp.rec.bilvvv"                      :null,
    "gidgrp.iss.namelc"                      :null,
    "gidgrp.adv.pts.extkey"                      :null,
    "gidgrp.cbs.max.amt"                      :null,
    "gidgrp.iss.pts.extkey"                      :null,
    "gidgrp.ben.pts.extkey"                      :null,
    "addbcb.gitamermk"                      :null,
    "gidgrp.bdb.pts.adrblk"                      :null,
    "cnybop.vouflg"                      :null,
    "gidgrp.blk.apprulc"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

