import Utils from "~/utils"

/**
* Infgid Check规则
*/
let checkObj = {
    "gidgrp.blk.gidtxt"                      :null,
    "gidgrp.rec.tenref"                      :null,
    "gidgrp.rec.giduil"                      :null,
    "gidgrp.rec.jurlaws20"                      :null,
    "gidgrp.ben.pts.adrblk"                      :null,
    "gidgrp.blk.atxexptxt"                      :null,
    "gidgrp.atb.pts.adrblk"                      :null,
    "gidgrp.con.pts.adrblk"                      :null,
    "gidgrp.rec.orcamt"                      :null,
    "gidgrp.ben.adrelc"                      :null,
    "gidgrp.rec.exptyp"                      :null,
    "gidgrp.ctr.pts.extkey"                      :null,
    "gidgrp.rec.liadat"                      :null,
    "gidgrp.con.adrelc"                      :null,
    "gidgrp.blk.liatxtc"                      :null,
    "gidgrp.rec.gtxinr"                      :null,
    "gidgrp.rec.tendat"                      :null,
    "gidgrp.rec.vrfdat"                      :null,
    "gidgrp.rec.purpos"                      :null,
    "gidgrp.gidcxm.cxmflg"                      :null,
    "gidgrp.rec.autrnwflg"                      :null,
    "gidgrp.rec.legfrm"                      :null,
    "gidgrp.apl.pts.extkey"                      :null,
    "gidgrp.apl.namelc"                      :null,
    "gidgrp.rec.liatypc"                      :null,
    "gidgrp.blk.orcplc"                      :null,
    "gidgrp.atb.adrelc"                      :null,
    "recpan.covgodsrvmodflg"                      :null,
    "gidgrp.rec.revflg"                      :null,
    "gidgrp.blk.addinf"                      :null,
    "gidgrp.iss.adrelc"                      :null,
    "recpan.aamp.aammod.addamtflg"                      :null,
    "gidgrp.adv.namelc"                      :null,
    "gidgrp.bdb.pts.extkey"                      :null,
    "gidgrp.iss.pts.adrblk"                      :null,
    "recpan.swiftflg"                      :null,
    "gidgrp.adv.pts.adrblk"                      :null,
    "gidgrp.rec.orcref"                      :null,
    "recpan.gidtxtmodflg"                      :null,
    "gidgrp.ctr.namelc"                      :null,
    "recpan.liatxtcmodflg"                      :null,
    "gidgrp.con.pts.extkey"                      :null,
    "gidgrp.rec.tenclsdat"                      :null,
    "gidgrp.blk.gtxgidtxt"                      :null,
    "gidgrp.bdb.adrelc"                      :null,
    "gidgrp.blk.covgodsrv"                      :null,
    "gidgrp.ctr.adrelc"                      :null,
    "gidgrp.blk.atxcovgodsrv"                      :null,
    "gidgrp.con.namelc"                      :null,
    "gidgrp.rec.orcrat"                      :null,
    "gidgrp.ben.namelc"                      :null,
    "gidgrp.ghd.aplnam"                      :null,
    "gidgrp.rec.expflg"                      :null,
    "gidgrp.ctr.pts.adrblk"                      :null,
    "gidgrp.atb.namelc"                      :null,
    "recpan.usr.extkey"                      :null,
    "gidgrp.rec.orddat"                      :null,
    "gidgrp.rec.orcdat"                      :null,
    "gidgrp.rec.stacty"                      :null,
    "gidgrp.blk.exptxt"                      :null,
    "gidgrp.atb.pts.extkey"                      :null,
    "gidgrp.blk.atxliatxtc"                      :null,
    "gidgrp.rec.jurplc"                      :null,
    "gidgrp.rec.mannum"                      :null,
    "gidgrp.blk.apprul"                      :null,
    "gidgrp.apl.pts.adrblk"                      :null,
    "infcon.seaamtto"                      :null,
    "gidgrp.rec.acc"                      :null,
    "gidgrp.rec.jurlaw"                      :null,
    "gidgrp.rec.inudat"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "gidgrp.iss.pts.ref"                      :null,
    "recpan.exptxtmodflg"                      :null,
    "gidgrp.bdb.namelc"                      :null,
    "gidgrp.rec.trmdat"                      :null,
    "gidgrp.apl.adrelc"                      :null,
    "gidgrp.adv.adrelc"                      :null,
    "gidgrp.blk.apprultxt"                      :null,
    "gidgrp.iss.namelc"                      :null,
    "gidgrp.adv.pts.extkey"                      :null,
    "gidgrp.iss.pts.extkey"                      :null,
    "gidgrp.ben.pts.extkey"                      :null,
    "gidgrp.bdb.pts.adrblk"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

