
/**
* Inflid Default规则
*/
import Api from "~/service/Api";
import Utils from "~/utils/index"

export default {
    "infcon.seapty"                      :Utils.defaultFunction,
    "infcon.pty.extkey"                      :Utils.defaultFunction,
    "lidgrp.adv.pts.extkey"                      :Utils.defaultFunction,
    "lidgrp.rec.avbwth"                      :Utils.defaultFunction,
    "lidgrp.avb.pts.extkey"                      :Utils.defaultFunction,
    "lidgrp.avb.adrelc"                      :Utils.defaultFunction,
    "lidgrp.avb.namelc"                      :Utils.defaultFunction,
    "lidgrp.avb.dbfadrblkcn"                      :Utils.defaultFunction,
    "lidgrp.avb.pts.adrblk"                      :Utils.defaultFunction,
    "infcon.usr.extkey"                      :Utils.defaultFunction,
    "recpan.aamp.aammod.addamtflg"                      :Utils.defaultFunction,
    "recpan.usr.extkey"                      :Utils.defaultFunction,
    "lidgrp.rec.avbby"                      :Utils.defaultFunction,
    "lidgrp.rec.opndat"                      :Utils.defaultFunction,
    "lidgrp.blk.avbwthtxt"                      :Utils.defaultFunction,
    "infcon.trnstm"                      :Utils.defaultFunction,
    "lidgrp.apl.pts.extkey"                      :Utils.defaultFunction,
    "lidgrp.apl.adrelc"                      :Utils.defaultFunction,
    "lidgrp.apl.namelc"                      :Utils.defaultFunction,
    "lidgrp.apl.dbfadrblkcn"                      :Utils.defaultFunction,
    "infcon.sepdelflg"                      :Utils.defaultFunction,
    "infcon.setflg"                      :Utils.defaultFunction,
    "infcon.fcpdsp"                      :Utils.defaultFunction,
    "lidgrp.cbs.nom1.cur"                      :Utils.defaultFunction,
    "lidgrp.rec.rmbflg"                      :Utils.defaultFunction,
    "lidgrp.rec.revflg"                      :Utils.defaultFunction,
    "lidgrp.con.pts.adrblk"                      :Utils.defaultFunction,
    "lidgrp.ben.pts.extkey"                      :Utils.defaultFunction,
    "lidgrp.ben.adrelc"                      :Utils.defaultFunction,
    "lidgrp.ben.namelc"                      :Utils.defaultFunction,
    "lidgrp.ben.dbfadrblkcn"                      :Utils.defaultFunction,
    "infcon.cbctxt"                      :Utils.defaultFunction,
    "lidgrp.rec.shptrs"                      :Utils.defaultFunction,
    "lidgrp.rec.shptrss18"                      :Utils.defaultFunction,
    "infcon.smhdatfrom"                      :Utils.defaultFunction,
    "infcon.smhdir"                      :Utils.defaultFunction,
    "infcon.chktrn"                      :Utils.defaultFunction,
    "infcon.smhdatto"                      :Utils.defaultFunction,
    "infcon.smhcortyp"                      :Utils.defaultFunction,
    "lidgrp.adv.adrelc"                      :Utils.defaultFunction,
    "lidgrp.adv.namelc"                      :Utils.defaultFunction,
    "lidgrp.adv.dbfadrblkcn"                      :Utils.defaultFunction,
    "lidgrp.adv.pts.adrblk"                      :Utils.defaultFunction,
    "lidgrp.rec.shppars18"                      :Utils.defaultFunction,
    "lidgrp.rec.shppar"                      :Utils.defaultFunction,
    "lidgrp.rec.expdat"                      :Utils.defaultFunction,
    "lidgrp.a2b.pts.extkey"                      :Utils.defaultFunction,
    "lidgrp.a2b.adrelc"                      :Utils.defaultFunction,
    "lidgrp.a2b.namelc"                      :Utils.defaultFunction,
    "lidgrp.a2b.dbfadrblkcn"                      :Utils.defaultFunction,
    "lidgrp.a2b.pts.adrblk"                      :Utils.defaultFunction,
    "lidgrp.con.pts.extkey"                      :Utils.defaultFunction,
    "lidgrp.drw.pts.extkey"                      :Utils.defaultFunction,
    "lidgrp.ini.pts.extkey"                      :Utils.defaultFunction,
    "lidgrp.ini.adrelc"                      :Utils.defaultFunction,
    "lidgrp.ini.namelc"                      :Utils.defaultFunction,
    "lidgrp.ini.dbfadrblkcn"                      :Utils.defaultFunction,
    "lidgrp.rec.ownref"                      :Utils.defaultFunction,
    "lidgrp.apl.pts.adrblk"                      :Utils.defaultFunction,
    "lidgrp.drw.adrelc"                      :Utils.defaultFunction,
    "lidgrp.drw.namelc"                      :Utils.defaultFunction,
    "lidgrp.drw.dbfadrblkcn"                      :Utils.defaultFunction,
    "lidgrp.drw.pts.adrblk"                      :Utils.defaultFunction,
    "lidgrp.rmb.pts.extkey"                      :Utils.defaultFunction,
    "lidgrp.rec.nomtop"                      :Utils.defaultFunction,
    "lidgrp.cbs.nom1.amt"                      :Utils.defaultFunction,
    "lidgrp.rec.porloa"                      :Utils.defaultFunction,
    "lidgrp.rec.shpto"                      :Utils.defaultFunction,
    "lidgrp.rec.pordis"                      :Utils.defaultFunction,
    "lidgrp.rec.shpfro"                      :Utils.defaultFunction,
    "infcon.seatrninr"                      :Utils.defaultFunction,
    "infcon.seabucdatto"                      :Utils.defaultFunction,
    "infcon.seabucdatfro"                      :Utils.defaultFunction,
    "lidgrp.blk.preper"                      :Utils.defaultFunction,
    "lidgrp.rec.shpdat"                      :Utils.defaultFunction,
    "infcon.sptcor"                      :Utils.defaultFunction,
    "infcon.sptreg"                      :Utils.defaultFunction,
    "infcon.sptdel"                      :Utils.defaultFunction,
    "infcon.sptinc"                      :Utils.defaultFunction,
    "infcon.sptpen"                      :Utils.defaultFunction,
    "infcon.chksubcon"                      :Utils.defaultFunction,
    "infcon.chktrnsta"                      :Utils.defaultFunction,
    "lidgrp.con.adrelc"                      :Utils.defaultFunction,
    "lidgrp.con.namelc"                      :Utils.defaultFunction,
    "lidgrp.con.dbfadrblkcn"                      :Utils.defaultFunction,
    "lidgrp.rec.spcrcbflg"                      :Utils.defaultFunction,
    "lidgrp.rec.apprul"                      :Utils.defaultFunction,
    "mtabut.coninf.oitset.oit.inftxt"                      :Utils.defaultFunction,
    "mtabut.coninf.oitset.oit.inflev"                      :Utils.defaultFunction,
    "infcon.fepfeecod"                      :Utils.defaultFunction,
    "infcon.fepdsp"                      :Utils.defaultFunction,
    "lidgrp.ini.pts.adrblk"                      :Utils.defaultFunction,
    "lidgrp.rec.spcbenflg"                      :Utils.defaultFunction,
    "lidgrp.ben.pts.adrblk"                      :Utils.defaultFunction,
    "infbut.dspstm"                      :Utils.defaultFunction,
    "mtabut.coninf.usr.extkey"                      :Utils.defaultFunction,
    "infcon.diasta"                      :Utils.defaultFunction,
    "infcon.diadatfrom"                      :Utils.defaultFunction,
    "infcon.diadatto"                      :Utils.defaultFunction,
    "lidgrp.rec.prepers18"                      :Utils.defaultFunction,
    "lidgrp.rec.stacty"                      :Utils.defaultFunction,
    "lidgrp.rmb.pts.nam"                      :Utils.defaultFunction,
    "lidgrp.cbs.max.cur"                      :Utils.defaultFunction,
    "mtabut.coninf.oitinf.oit.inftxt"                      :Utils.defaultFunction,
    "mtabut.coninf.oitinf.oit.inflev"                      :Utils.defaultFunction,
    "mtabut.coninf.conexedat"                      :Utils.defaultFunction,
    "infcon.ordstm"                      :Utils.defaultFunction,
}
//你可以添加自动default处理
