export default {
    "betp.ledget.sdamod.dadsnd": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "ledgrp.rec.ownref": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "betp.ledget.sdamod.seainf": [
        { type: "string", required: false, message: "必输项" },
        { max: 3, message: "长度不能超过3" }
    ],
    "ledgrp.rec.nam": [
        { type: "string", required: false, message: "必输项" },
        { max: 40, message: "长度不能超过40" }
    ],
    "ledgrp.cbs.nom1.cur": [
        { type: "string", required: false, message: "必输项" },
        { max: 3, message: "长度不能超过3" }
    ],
    "ledgrp.cbs.nom1.amt": [
        { type: "number", required: false, message: "必输项" },
        { max: 18, message: "整数位不能超过14位" },
        { pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],

    "bedgrp.apl.pts.ref": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "ledgrp.cbs.opn1.cur": [
        { type: "string", required: false, message: "必输项" },
        { max: 3, message: "长度不能超过3" }
    ],
    "ledgrp.cbs.opn1.amt": [
        { type: "number", required: false, message: "必输项" },
        { max: 18, message: "整数位不能超过14位" },
        { pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],

    "bedgrp.apl.pts.nam": [
        { type: "string", required: false, message: "必输项" },
        { max: 40, message: "长度不能超过40" }
    ],
    "ledgrp.avbnam": [
        { type: "string", required: false, message: "必输项" },
        { max: 40, message: "长度不能超过40" }
    ],
    "bedgrp.iss.pts.ref": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],


    "bedgrp.iss.pts.nam": [
        { type: "string", required: false, message: "必输项" },
        { max: 40, message: "长度不能超过40" }
    ],
    "ledgrp.rec.opndat": [
        { type: "date", required: false, message: "输入正确的日期" }
    ],
    "ledgrp.rec.shpdat": [
        { type: "date", required: false, message: "输入正确的日期" }
    ],
    "bedgrp.prb.pts.ref": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "ledgrp.rec.expdat": [
        { type: "date", required: false, message: "输入正确的日期" }
    ],
    "ledgrp.rec.expplc": [
        { type: "string", required: false, message: "必输项" },
        { max: 29, message: "长度不能超过29" }
    ],
    "bedgrp.prb.pts.nam": [
        { type: "string", required: false, message: "必输项" },
        { max: 40, message: "长度不能超过40" }
    ],

    "betp.recget.sdamod.dadsnd": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "bedgrp.rec.ownref": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "betp.recget.sdamod.seainf": [
        { type: "string", required: false, message: "必输项" },
        { max: 3, message: "长度不能超过3" }
    ],

    "bedgrp.rec.nam": [
        { type: "string", required: false, message: "必输项" },
        { max: 40, message: "长度不能超过40" }
    ],


    "bedgrp.cbs.max.cur": [
        { type: "string", required: false, message: "必输项" },
        { max: 3, message: "长度不能超过3" }
    ],
    "bedgrp.cbs.max.amt": [
        { type: "string", required: false, message: "必输项" },
        { max: 18, message: "整数位不能超过14位" },
        { pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "bedgrp.prb.pts.ref": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],

    "bedgrp.cbs.max2.amt": [
        { required: false, message: "必输项" },
        { max: 18, message: "整数位不能超过14位" },
        { pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "betp.prbp.ptsget.sdamod.dadsnd": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "bedgrp.prb.pts.extkey": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "betp.prbp.ptsget.sdamod.seainf": [
        { type: "string", required: false, message: "必输项" },
        { max: 3, message: "长度不能超过3" }
    ],

    "bedgrp.prb.namelc": [
        { type: "string", required: true, message: "必输项" },
        { max: 35, message: "长度不能超过35" }
    ],
    "bedgrp.rec.rcvdat": [
        { type: "date", required: false, message: "输入正确的日期" }
    ],
    "bedgrp.rec.orddat": [
        { type: "date", required: false, message: "输入正确的日期" }
    ],
    "bedgrp.prb.pts.adrblk": [
        { type: "string", required: false, message: "必输项" },
        { type: "string", max: 999, message: "长度不能超过35" }
    ],
    "bedgrp.prb.dbfadrblkcn": [
        { type: "string", required: true, message: "必输项" },
        { max: 35, message: "长度不能超过35" }
    ],
    "bedgrp.rec.matdat": [
        { type: "date", required: false, message: "输入正确的日期" }
    ],
    "bedgrp.rec.shpdat": [
        { type: "date", required: false, message: "输入正确的日期" }
    ],
    "bedgrp.prb.adrelc": [
        { type: "string", required: true, message: "必输项" },
        { max: 35, message: "长度不能超过35" }
    ],
    "bedgrp.blk.matper": [
        { type: "string", required: false, message: "必输项" },
        { max: 65, message: "长度不能超过65" }
    ],


    "ledgrp.rec.utlnbr": [
        { type: "number", required: false, message: "必输项" },
        { type: "number", max: 999, message: "长度不能超过3" }
    ],

    "bedgrp.blk.docdis": [
        { type: "string", required: true, message: "必输项" },
        { max: 50, message: "长度不能超过50" }
    ],


    "bedgrp.blk.intdis": [
        { type: "string", required: true, message: "必输项" },
        { max: 65, message: "长度不能超过65" }
    ],


    "bedgrp.oth.pts.ref": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "betp.othp.ptsget.sdamod.dadsnd": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "bedgrp.oth.pts.extkey": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "betp.othp.ptsget.sdamod.seainf": [
        { type: "string", required: false, message: "必输项" },
        { max: 3, message: "长度不能超过3" }
    ],

    "bedgrp.blk.comcon": [
        { type: "string", required: true, message: "必输项" },
        { max: 65, message: "长度不能超过65" }
    ],

    "bedgrp.oth.namelc": [
        { type: "string", required: true, message: "必输项" },
        { max: 35, message: "长度不能超过35" }
    ],
    "bedgrp.oth.pts.adrblk": [
        { type: "string", required: true, message: "必输项" },
        { type: "string", max: 999, message: "长度不能超过35" }
    ],
    "bedgrp.oth.dbfadrblkcn": [
        { type: "string", required: true, message: "必输项" },
        { max: 35, message: "长度不能超过35" }
    ],
    "bedgrp.oth.adrelc": [
        { type: "string", required: true, message: "必输项" },
        { max: 35, message: "长度不能超过35" }
    ],

    "bedgrp.blk.setinsbe": [
        { type: "string", required: true, message: "必输项" },
        { max: 65, message: "长度不能超过65" }
    ],

    "liaall.limmod.ecifno": [
        { type: "string", required: false, message: "必输项" },
        { max: 22, message: "长度不能超过22" }
    ],



    "liaall.limmod.ownref": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "liaall.limmod.wrkp.ptsget.sdamod.dadsnd": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "liaall.limmod.othp.ptsget.sdamod.dadsnd": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "liaall.limmod.limpts.wrk.pts.extkey": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "liaall.limmod.wrkp.ptsget.sdamod.seainf": [
        { type: "string", required: false, message: "必输项" },
        { max: 3, message: "长度不能超过3" }
    ],

    "liaall.limmod.limpts.oth.pts.extkey": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "liaall.limmod.othp.ptsget.sdamod.seainf": [
        { type: "string", required: false, message: "必输项" },
        { max: 3, message: "长度不能超过3" }
    ],

    "liaall.limmod.comamt": [
        { type: "string", required: false, message: "必输项" },
        { max: 18, message: "整数位不能超过14位" },
        { pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "liaall.limmod.limpts.wrk.pts.nam": [
        { type: "string", required: false, message: "必输项" },
        { max: 40, message: "长度不能超过40" }
    ],
    "liaall.limmod.limpts.oth.pts.nam": [
        { type: "string", required: false, message: "必输项" },
        { max: 40, message: "长度不能超过40" }
    ],
    "liaall.limmod.ccvamt": [
        { type: "string", required: false, message: "必输项" },
        { max: 18, message: "整数位不能超过14位" },
        { pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],





    "liaall.limmod.limpts.pfcod1": [
        { type: "string", required: false, message: "必输项" },
        { max: 14, message: "长度不能超过14" }
    ],
    "liaall.limmod.limpts.pfcod2": [
        { type: "string", required: false, message: "必输项" },
        { max: 14, message: "长度不能超过14" }
    ],


    "trnmod.trndoc.advnam": [
        { type: "string", required: false, message: "必输项" },
        { max: 50, message: "长度不能超过50" }
    ],
    "trnmod.trndoc.amdapl": [
        { type: "string", required: true, message: "必输项" },
        { max: 50, message: "长度不能超过50" }
    ],

    "trnmod.trndoc.advdoc": [
        { type: "string", required: false, message: "必输项" },
        { max: 1, message: "长度不能超过1" }
    ],
    "trnmod.trndoc.filrecv": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],
    "trnmod.trndoc.doctrestm": [
        { type: "string", required: false, message: "必输项" },
        { max: 1, message: "长度不能超过1" }
    ],









    "trnmod.trndoc.condocstm": [
        { type: "string", required: false, message: "必输项" },
        { max: 1, message: "长度不能超过1" }
    ],
    "trnmod.trndoc.rcvatt.seainf": [
        { type: "string", required: false, message: "必输项" },
        { max: 3, message: "长度不能超过3" }
    ],

    "mtabut.coninf.oitinf.oit.inftxt": [
        { type: "string", required: true, message: "必输项" },
        { max: 60, message: "长度不能超过60" }
    ],


    "mtabut.coninf.oitset.oit.inftxt": [
        { type: "string", required: true, message: "必输项" },
        { max: 60, message: "长度不能超过60" }
    ],

    "mtabut.coninf.conexedat": [
        { type: "date", required: false, message: "输入正确的日期" }
    ],
    "mtabut.coninf.usr.extkey": [
        { type: "string", required: false, message: "必输项" },
        { max: 8, message: "长度不能超过8" }
    ],
    "setmod.ref": [
        { type: "string", required: false, message: "必输项" },
        { max: 16, message: "长度不能超过16" }
    ],


    "setmod.docamt": [
        { type: "number", required: false, message: "必输项" },
        { max: 18, message: "整数位不能超过14位" },
        { pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],




    "setmod.zmqacc": [
        { type: "string", required: false, message: "必输项" },
        { max: 20, message: "长度不能超过20" }
    ],



    "bedgrp.srm.djuusr": [
        { type: "string", required: false, message: "必输项" },
        { max: 80, message: "长度不能超过80" }
    ],
    "bedgrp.srm.djudat": [
        { type: "date", required: false, message: "输入正确的日期" }
    ],
    "bedgrp.srm.djuref": [
        { type: "string", required: false, message: "必输项" },
        { max: 40, message: "长度不能超过40" }
    ],
    "liaall.outamt": [
        { type: "number", required: false, message: "必输项" },
        { max: 18, message: "整数位不能超过14位" },
        { pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "liaall.outpct": [
        { type: "string", required: false, message: "必输项" },
        { max: 6, message: "长度不能超过6" }
    ],
    "liaall.concur": [
        { type: "string", required: false, message: "必输项" },
        { max: 3, message: "长度不能超过3" }
    ],
    "liaall.misamt": [
        { type: "number", required: false, message: "必输项" },
        { max: 18, message: "整数位不能超过14位" },
        { pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],


    "liaall.exttotoldamt": [
        { type: "number", required: false, message: "必输项" },
        { max: 18, message: "整数位不能超过14位" },
        { pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "liaall.exttotamt": [
        { type: "number", required: false, message: "必输项" },
        { max: 18, message: "整数位不能超过14位" },
        { pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
}