import Utils from "~/utils"

/**
* Litame Check规则
*/
let checkObj = {
    "liaall.misamt"                      :null,
    "lidgrp.apl.namelc"                      :null,
    "lidgrp.rec.prepers18"                      :null,
    "lidgrp.rec.lcrtyp"                      :null,
    "ameadvrmk"                      :null,
    "lidgrp.rec.apprul"                      :null,
    "lidgrp.blk.lcrgod"                      :null,
    "bcbtyp7"                      :null,
    "lidgrp.rec.stacty"                      :null,
    "lidgrp.blk.lcrdoc"                      :null,
    "litamep.lcrgodamep.usrblk"                      :null,
    "liaall.limmod.limpts.oth.pts.nam"                      :null,
    "setmod.dspflg"                      :null,
    "lidgrp.a2b.namelc"                      :null,
    "litamep.adlcndamep.usrblk"                      :null,
    "trnmod.swiadd.amenbr"                      :null,
    "lidgrp.avb.pts.adrblk"                      :null,
    "liaall.liaccv.totcovamt"                      :null,
    "liaall.limmod.limpts.wrk.pts.nam"                      :null,
    "lidgrp.blk.preper"                      :null,
    "oldlidgrp.rec.expdat"                      :null,
    "trnmod.swiadd.insbnk"                      :null,
    "lidgrp.rec.shptrss18"                      :null,
    "lidgrp.rec.cnfdet"                      :null,
    "lidgrp.avb.adrelc"                      :null,
    "lidgrp.ini.pts.extkey"                      :null,
    "trnmod.swiadd.newshpdat"                      :null,
    "lidgrp.rmb.pts.extkey"                      :null,
    "trnmod.swiadd.newexpdat"                      :null,
    "lidgrp.adv.pts.extkey"                      :null,
    "lidgrp.adv.adrelc"                      :null,
    "lidgrp.ben.pts.extkey"                      :null,
    "lidgrp.a2b.pts.extkey"                      :null,
    "lidgrp.blk.defdet"                      :null,
    "lidgrp.apl.pts.adrblk"                      :null,
    "lidgrp.rmb.pts.nam"                      :null,
    "lidgrp.con.adrelc"                      :null,
    "lidgrp.con.pts.adrblk"                      :null,
    "lidgrp.blk.dftat"                      :null,
    "lidgrp.rec.tenmaxday"                      :null,
    "lidgrp.ben.namelc"                      :null,
    "lidgrp.drw.pts.adrblk"                      :null,
    "lidgrp.drw.namelc"                      :null,
    "litameadv"                      :null,
    "liaall.limmod.limpts.oth.pts.extkey"                      :null,
    "liaall.limmod.ownref"                      :null,
    "trnmod.swiadd.newamt"                      :null,
    "liaall.limmod.ecifno"                      :null,
    "lidgrp.rec.apprultxt"                      :null,
    "lidgrp.adv.pts.adrblk"                      :null,
    "lidgrp.blk.adlcnd"                      :null,
    "lidgrp.ini.namelc"                      :null,
    "lidgrp.rec.shppars18"                      :null,
    "lidgrp.ini.pts.adrblk"                      :null,
    "litamep.lcrdocamep.usrblk"                      :null,
    "trnmod.swiadd.trnfeetxt"                      :null,
    "lidgrp.apl.adrelc"                      :null,
    "litp.usr.extkey"                      :null,
    "lidgrp.rec.avbwth"                      :null,
    "trnmod.swiadd.addamt"                      :null,
    "lidgrp.rec.opndat"                      :null,
    "lidgrp.a2b.adrelc"                      :null,
    "lidgrp.avb.namelc"                      :null,
    "lidgrp.blk.feetxt"                      :null,
    "trnmod.swiadd.newnomtop"                      :null,
    "trnmod.swiadd.newnomton"                      :null,
    "lidgrp.ben.adrelc"                      :null,
    "lidgrp.a2b.pts.adrblk"                      :null,
    "lidgrp.adv.namelc"                      :null,
    "liaall.limmod.limpts.wrk.pts.extkey"                      :null,
    "lidgrp.blk.mixdet"                      :null,
    "lidgrp.drw.adrelc"                      :null,
    "lidgrp.rec.expplc"                      :null,
    "trnmod.swiadd.ameamt"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "trnmod.swiadd.nartxt"                      :null,
    "lidgrp.avb.pts.extkey"                      :null,
    "liaall.limmod.limpts.nonrevflg1"                      :null,
    "lidgrp.blk.insbnk"                      :null,
    "lidgrp.con.pts.extkey"                      :null,
    "setmod.docamt"                      :null,
    "trnmod.swiadd.prepers18"                      :null,
    "lidgrp.ini.adrelc"                      :null,
    "lidgrp.ben.pts.adrblk"                      :null,
    "liaall.liaccv.cshpct"                      :null,
    "lidgrp.drw.pts.extkey"                      :null,
    "lidgrp.apl.pts.extkey"                      :null,
    "trnmod.swiadd.purpos"                      :null,
    "lidgrp.con.namelc"                      :null,
    "liaall.liaccv.relcshpct"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

