import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"
export default class Litcan{
    constructor () {
        this.data = {
						litapll1blk:"",
						litrmbl3blk:"",
						litcanl1blk:"",
						trnmod:new Pub().data.Trnmod,
						
						setmod:new Pub().data.Setmod,
						mtabut:new Pub().data.Mtabut,
						lidgrp:{
							rec:{
								ownref:"",			//  参考号		.lidgrp.rec.ownref
								nam:"",			//  名称		.lidgrp.rec.nam
								avbby:"",			//  兑付方式		.lidgrp.rec.avbby
								redclsflg:"",			//  Red/Green Clause		.lidgrp.rec.redclsflg
								opndat:"",			//  开立日期		.lidgrp.rec.opndat
								shpdat:"",			//  Shipment Date		.lidgrp.rec.shpdat
								expdat:"",			//  到期日		.lidgrp.rec.expdat
								expplc:"",			//  到期日		.lidgrp.rec.expplc
								lcrtyp:"",			//  信用证类型		.lidgrp.rec.lcrtyp
								revflg:"",			//  Revolving Flag		.lidgrp.rec.revflg
							},
							cbs:{
								nom1:{
									cur:"",			//  开证金额		.lidgrp.cbs.nom1.cur
									amt:"",			//  开证金额		.lidgrp.cbs.nom1.amt
								},
								opn1:{
									cur:"",			//  信用证余额		.lidgrp.cbs.opn1.cur
									amt:"",			//  Balance		.lidgrp.cbs.opn1.amt
								},
							},
							apl:{
								pts:new Pts().data,
							},
							ben:{
								pts:new Pts().data,
							},
							adv:{
								pts:new Pts().data,
							},
							avbnam:"",			//  指定银行		.lidgrp.avbnam
						},
						litp0:{
							recget:{
								sdamod:{
									seainf:"",			//  		.litp0.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.litp0.recget.sdamod.dadsnd
								},
							},
							aammod:{
								addamtflg:"",			//  Add. Amount		.litp0.aammod.addamtflg
							},
							thdate:"",			//  提货日期/服务提供日		.litp0.thdate
						},
						litcanf:{
							strinf:"",			//  Narrative		.litcanf.strinf
						},
						byinst:"",			//  On Applicant instruction		.byinst
						sndmsg:"",			//  Send message to apllicant		.sndmsg
						liaall:new Pub().data.Liaall,
						pageId: ""			// ctx的key
				}
    }
}